% script to read specific data from specific spreadsheets, and send to
% plotting function  to be plotted.
%
% plot will be created for maximum distributions of total wave load, elevation process, and cardan force.
% one figure for each method/variable, with all component variations in same figure.
% one figure for each method/variation regarding surface elevation will also be
% plotted.

% for script to work, all analyses be done, and dynres most have been run
% for creation of plo-files. excel files must also have created from
% readdynres.m.

%filenames and sheet number. 
% sheet 1 = surface pro
% sheet 2 = tot waveload
% sheet 3 = accelleration top tower
% sheet 4 = displacement top tower. 
% sheet 5 = cardan force
% sheet 6 = midmoment


file1='FFT1000';
file2='FFT500';
file3='EAP75';
file4='EAP100';
file5='EAP200';
file6='FFTrf75';
file7='FFTrf100';
file8='FFTrf200';
file9='FFTrf1000';
file10='FFTrfa75';
file11='FFTrfa100';
file12='FFTrfa200';
file13='FFTrfa1000';
file14='grid200';
file15='grid200_1';
file16='collective';

s1='Sheet1';
s2='Sheet2';
s3='Sheet3';
s4='Sheet4';
s5='Sheet5';
s6='Sheet6';

% FFT standard(1000 comp)
sE=xlsread(file1,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file1),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file1,{'90% perc'},s1,'F25');
xlswrite(file1,extr_perc,s1,'G25');

%FFT 500
sE=xlsread(file2,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file2),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file2,{'90% perc'},s1,'F25');
xlswrite(file2,extr_perc,s1,'G25');

% EAP 75
sE=xlsread(file3,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file3),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file3,{'90% perc'},s1,'F25');
xlswrite(file3,extr_perc,s1,'G25');

%EAP100
sE=xlsread(file4,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file4),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file4,{'90% perc'},s1,'F25');
xlswrite(file4,extr_perc,s1,'G25');

%EAP200
sE=xlsread(file5,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file5),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file5,{'90% perc'},s1,'F25');
xlswrite(file5,extr_perc,s1,'G25');

%FFTrf75
sE=xlsread(file6,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file6),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file6,{'90% perc'},s1,'F25');
xlswrite(file6,extr_perc,s1,'G25');

% FFTrf100
sE=xlsread(file7,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file7),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file7,{'90% perc'},s1,'F25');
xlswrite(file7,extr_perc,s1,'G25');

%FFTrf200
sE=xlsread(file8,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file8),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file8,{'90% perc'},s1,'F25');
xlswrite(file8,extr_perc,s1,'G25');

%FFTrf1000
sE=xlsread(file9,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file9),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file9,{'90% perc'},s1,'F25');
xlswrite(file9,extr_perc,s1,'G25');

%FFTrfa75
sE=xlsread(file10,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file10),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file10,{'90% perc'},s1,'F25');
xlswrite(file10,extr_perc,s1,'G25');

%FFTrfa100
sE=xlsread(file11,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file11),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file11,{'90% perc'},s1,'F25');
xlswrite(file11,extr_perc,s1,'G25');

%FFTrfa200
sE=xlsread(file12,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file12),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file12,{'90% perc'},s1,'F25');
xlswrite(file12,extr_perc,s1,'G25');

%FFTrfa1000
sE=xlsread(file13,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation ',num2str(file13),' components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file13,{'90% perc'},s1,'F25');
xlswrite(file13,extr_perc,s1,'G25');

%grid 200 dx 5
sE=xlsread(file14,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation gridwave 200 dx5 components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file14,{'90% perc'},s1,'F25');
xlswrite(file14,extr_perc,s1,'G25');

% grid 200 dx 10
sE=xlsread(file15,s1, 'G3:G22');
name1={'Surface elevation'};
name2={['Gumbel plot Surface elevation gridwave 200 dx10 components']};
out=ygumb(sE,name1,name2);
a=out(1);
b=out(2);
%calculating the p=0.9 extreme percentile
p=0.9;
extr_perc=b+(-log(-log(p)))*a;
xlswrite(file15,{'90% perc'},s1,'F25');
xlswrite(file15,extr_perc,s1,'G25');