% script to read datafile(.txt) containing analysis results from USFOS
% simulation. The rotine stores the time histories for the surface levation
% process, waveload, acceleration and displacement of the the top of the sway tower, as well as the cardan force. The
% data is stored in structures for later statistical calculations and
% plotting. Script will only be possible to run for dynresfiles created 
% with 20001 printsteps. in these analyses( 1000 sec simulations with 0.05
% steplength)
sd=0;
%The script reads resultfiles from all simulations done in the thesis work.

%seed matrix to direct to correct file path:
for k=1:20
    seed(k)=300+sd;
    sd=sd+10;
end
% create arrays to store the data from the txt files. The size of the array
% must be updated if input regarding result resolution is changed for the
% usfos analysis.
surfpro_FFT1000=zeros(20001,21);
wavepro_FFT1000=zeros(20001,21);
accpro_FFT1000=zeros(20001,21);
dispro_FFT1000=zeros(20001,21);
cardanpro_FFT1000=zeros(20001,21);
midmpro_FFT1000=zeros(20001,21);

surfpro_FFT500=zeros(20001,21); 
wavepro_FFT500=zeros(20001,21);
accpro_FFT500=zeros(20001,21);
dispro_FFT500=zeros(20001,21);
cardanpro_FFT500=zeros(20001,21);
midmpro_FFT500=zeros(20001,21);

surfpro_EAP75=zeros(20001,21);
wavepro_EAP75=zeros(20001,21);
accpro_EAP75=zeros(20001,21);
dispro_EAP75=zeros(20001,21);
cardanpro_EAP75=zeros(20001,21);
midmpro_EAP75=zeros(20001,21);

surfpro_EAP100=zeros(20001,21);
wavepro_EAP100=zeros(20001,21);
accpro_EAP100=zeros(20001,21);
dispro_EAP100=zeros(20001,21);
cardanpro_EAP100=zeros(20001,21);
midmpro_EAP100=zeros(20001,21);

surfpro_EAP200=zeros(20001,21);
wavepro_EAP200=zeros(20001,21);
accpro_EAP200=zeros(20001,21);
dispro_EAP200=zeros(20001,21);
cardanpro_EAP200=zeros(20001,21);
midmpro_EAP200=zeros(20001,21);

surfpro_FFTrf75=zeros(20001,21);
wavepro_FFTrf75=zeros(20001,21);
accpro_FFTrf75=zeros(20001,21);
dispro_FFTrf75=zeros(20001,21);
cardanpro_FFTrf75=zeros(20001,21);
midmpro_FFTrf75=zeros(20001,21);

surfpro_FFTrf100=zeros(20001,21);
wavepro_FFTrf100=zeros(20001,21);
accpro_FFTrf100=zeros(20001,21);
dispro_FFTrf100=zeros(20001,21);
cardanpro_FFTrf100=zeros(20001,21);
midmpro_FFTrf100=zeros(20001,21);

surfpro_FFTrf200=zeros(20001,21);
wavepro_FFTrf200=zeros(20001,21);
accpro_FFTrf200=zeros(20001,21);
dispro_FFTrf200=zeros(20001,21);
cardanpro_FFTrf200=zeros(20001,21);
midmpro_FFTrf200=zeros(20001,21);

surfpro_FFTrf1000=zeros(20001,21);
wavepro_FFTrf1000=zeros(20001,21);
accpro_FFTrf1000=zeros(20001,21);
dispro_FFTrf1000=zeros(20001,21);
cardanpro_FFTrf1000=zeros(20001,21);
midmpro_FFTrf1000=zeros(20001,21);

surfpro_FFTrfa75=zeros(20001,21);
wavepro_FFTrfa75=zeros(20001,21);
accpro_FFTrfa75=zeros(20001,21);
dispro_FFTrfa75=zeros(20001,21);
cardanpro_FFTrfa75=zeros(20001,21);
midmpro_FFTrfa75=zeros(20001,21);

surfpro_FFTrfa100=zeros(20001,21);
wavepro_FFTrfa100=zeros(20001,21);
accpro_FFTrfa100=zeros(20001,21);
dispro_FFTrfa100=zeros(20001,21);
cardanpro_FFTrfa100=zeros(20001,21);
midmpro_FTrfa100=zeros(20001,21);

surfpro_FFTrfa200=zeros(20001,21);
wavepro_FFTrfa200=zeros(20001,21);
accpro_FFTrfa200=zeros(20001,21);
dispro_FFTrfa200=zeros(20001,21);
cardanpro_FFTrfa200=zeros(20001,21);
midmpro_FFTrfa200=zeros(20001,21);

surfpro_FFTrfa1000=zeros(20001,21);
wavepro_FFTrfa1000=zeros(20001,21);
accpro_FFTrfa1000=zeros(20001,21);
dispro_FFTrfa1000=zeros(20001,21);
cardanpro_FFTrfa1000=zeros(20001,21);
midmpro_FFTrfa1000=zeros(20001,21);

surfpro_grid200=zeros(20001,21);
wavepro_grid200=zeros(20001,21);
accpro_grid200=zeros(20001,21);
dispro_grid200=zeros(20001,21);
cardanpro_grid200=zeros(20001,21);
midmpro_grid200=zeros(20001,21);

surfpro_grid200_1=zeros(20001,21);
wavepro_grid200_1=zeros(20001,21);
accpro_grid200_1=zeros(20001,21);
dispro_grid200_1=zeros(20001,21);
cardanpro_grid200_1=zeros(20001,21);
midmpro_grid200_1=zeros(20001,21);

for i=1:20;
    % time histories for FFT method with 1000 components, generated by
    % usfos
                    %  Results\SWAY_FFT\dynamic\FFT_wavecomp_N=1000\SWAY_Case_H=16.4_Seed=300_T=17_N=1000\dynres\dynplot___Surface_Elevation.plo'
    surf=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFT1000(:,1)=surf(:,1); % time
    surfpro_FFT1000(:,i+1)=surf(:,2); % elevation
    wave=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFT1000(:,1)=wave(:,1);
    wavepro_FFT1000(:,i+1)=wave(:,2);
    acc=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFT1000(:,1)=acc(:,1);
    accpro_FFT1000(:,i+1)=acc(:,2);
    disp=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFT1000(:,1)=disp(:,1);
    dispro_FFT1000(:,i+1)=disp(:,2);
    cardan=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFT1000(:,1)=cardan(:,1);
    cardanpro_FFT1000(:,i+1)=cardan(:,2);
    midm=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
    midmpro_FFT1000(:,1)=midm(:,1);
    midmpro_FFT1000(:,i+1)=midm(:,2);
    %time histories for FFT method with 500 components, generated by built
    %in usfos routines
end
disp('FFT100 done')
for i=1:20;
    surf1=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=500\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=500\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFT500(:,1)=surf1(:,1); % time
    surfpro_FFT500(:,i+1)=surf1(:,2); % elevation
    wave1=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=500\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=500\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFT500(:,1)=wave1(:,1);
    wavepro_FFT500(:,i+1)=wave1(:,2);
    acc1=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=500\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=500\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFT500(:,1)=acc1(:,1);
    accpro_FFT500(:,i+1)=acc1(:,2);
    disp1=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=500\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=500\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFT500(:,1)=disp1(:,1);
    dispro_FFT500(:,i+1)=disp1(:,2);
    cardan1=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=500\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=500\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFT500(:,1)=cardan1(:,1);
    cardanpro_FFT500(:,i+1)=cardan1(:,2);
    midm=importdata(['Results\SWAY_FFT\dynamic\FFT_wavecomp_N=500\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=500\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
    midmpro_FFT500(:,1)=midm(:,1);
    midmpro_FFT500(:,i+1)=midm(:,2);
end
 for i=1:20
    %time histories with EAP method, and 75 components
    surf2=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_EAP75(:,1)=surf2(:,1); % time
    surfpro_EAP75(:,i+1)=surf2(:,2); % elevation
    wave2=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_EAP75(:,1)=wave2(:,1);
    wavepro_EAP75(:,i+1)=wave2(:,2);
    acc2=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_EAP75(:,1)=acc2(:,1);
    accpro_EAP75(:,i+1)=acc2(:,2);
    disp2=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_EAP75(:,1)=disp2(:,1);
    dispro_EAP75(:,i+1)=disp2(:,2);
    cardan2=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_EAP75(:,1)=cardan2(:,1);
    cardanpro_EAP75(:,i+1)=cardan2(:,2);
    midm=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
    midmpro_EAP75(:,1)=midm(:,1);
    midmpro_EAP75(:,i+1)=midm(:,2);
 end
    
 for i=1:20;   
    % time histories for EAP method with 100 components
    surf3=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_EAP100(:,1)=surf3(:,1); % time
    surfpro_EAP100(:,i+1)=surf3(:,2); % elevation
    wave3=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_EAP100(:,1)=wave3(:,1);
    wavepro_EAP100(:,i+1)=wave3(:,2);
    acc3=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_EAP100(:,1)=acc3(:,1);
    accpro_EAP100(:,i+1)=acc3(:,2);
    disp3=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_EAP100(:,1)=disp3(:,1);
    dispro_EAP100(:,i+1)=disp3(:,2);
    cardan3=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_EAP100(:,1)=cardan3(:,1);
    cardanpro_EAP100(:,i+1)=cardan3(:,2);
    midm=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
   midmpro_EAP100(:,1)=midm(:,1);
  midmpro_EAP100(:,i+1)=midm(:,2);
 end
 for i=1:20
    %time hist for EAP method with 200 components:
    surf4=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_EAP200(:,1)=surf4(:,1); % time
    surfpro_EAP200(:,i+1)=surf4(:,2); % elevation
    wave4=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_EAP200(:,1)=wave4(:,1);
    wavepro_EAP200(:,i+1)=wave4(:,2);
    acc4=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_EAP200(:,1)=acc4(:,1);
    accpro_EAP200(:,i+1)=acc4(:,2);
    disp4=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_EAP200(:,1)=disp4(:,1);
    dispro_EAP200(:,i+1)=disp4(:,2);
    cardan4=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_EAP200(:,1)=cardan4(:,1);
    cardanpro_EAP200(:,i+1)=cardan4(:,2);
    midm=importdata(['Results\SWAY_EAP\dynamic\EAP_wavecomp_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
    midmpro_EAP200(:,1)=midm(:,1);
  midmpro_EAP200(:,i+1)=midm(:,2);
 end
    %time histories for FFT method with 75 components with random frequency
    %method(Zhao), generated in MATLAB
   for i=1:20; 
    surf5=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFTrf75(:,1)=surf5(:,1); % time
    surfpro_FFTrf75(:,i+1)=surf5(:,2); % elevation
    wave5=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFTrf75(:,1)=wave5(:,1);
    wavepro_FFTrf75(:,i+1)=wave5(:,2);
    acc5=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFTrf75(:,1)=acc5(:,1);
    accpro_FFTrf75(:,i+1)=acc5(:,2);
    disp5=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFTrf75(:,1)=disp5(:,1);
    dispro_FFTrf75(:,i+1)=disp5(:,2);
    cardan5=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFTrf75(:,1)=cardan5(:,1);
    cardanpro_FFTrf75(:,i+1)=cardan5(:,2);
    midm=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
    midmpro_FFTrf75(:,1)=midm(:,1);
  midmpro_FFTrf75(:,i+1)=midm(:,2);
   end
    
     %time histories for FFT method with 100 components with random frequency
   
   for i=1:20;  
    surf6=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFTrf100(:,1)=surf6(:,1); % time
    surfpro_FFTrf100(:,i+1)=surf6(:,2); % elevation
    wave6=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFTrf100(:,1)=wave6(:,1);
    wavepro_FFTrf100(:,i+1)=wave6(:,2);
    acc6=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFTrf100(:,1)=acc6(:,1);
    accpro_FFTrf100(:,i+1)=acc6(:,2);
    disp6=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFTrf100(:,1)=disp6(:,1);
    dispro_FFTrf100(:,i+1)=disp6(:,2);
    cardan6=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFTrf100(:,1)=cardan6(:,1);
    cardanpro_FFTrf100(:,i+1)=cardan6(:,2);
    midm=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
     midmpro_FFTrf100(:,1)=midm(:,1);
  midmpro_FFTrf100(:,i+1)=midm(:,2);
   end
    %for fftrf with 200 comp
    for i=1:20;
    surf7=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFTrf200(:,1)=surf7(:,1); % time
    surfpro_FFTrf200(:,i+1)=surf7(:,2); % elevation
    wave7=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFTrf200(:,1)=wave7(:,1);
    wavepro_FFTrf200(:,i+1)=wave7(:,2);
    acc7=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFTrf200(:,1)=acc7(:,1);
    accpro_FFTrf200(:,i+1)=acc7(:,2);
    disp7=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFTrf200(:,1)=disp7(:,1);
    dispro_FFTrf200(:,i+1)=disp7(:,2);
    cardan7=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFTrf200(:,1)=cardan7(:,1);
    cardanpro_FFTrf200(:,i+1)=cardan7(:,2);
    midm=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
    midmpro_FFTrf200(:,1)=midm(:,1);
   midmpro_FFTrf200(:,i+1)=midm(:,2);
    end
   % 1000 Comp FFTrf
for i=1:20;
    surf8=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFTrf1000(:,1)=surf8(:,1); % time
    surfpro_FFTrf1000(:,i+1)=surf8(:,2); % elevation
    wave8=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFTrf1000(:,1)=wave8(:,1);
    wavepro_FFTrf1000(:,i+1)=wave8(:,2);
    acc8=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFTrf1000(:,1)=acc8(:,1);
    accpro_FFTrf1000(:,i+1)=acc8(:,2);
    disp8=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFTrf1000(:,1)=disp8(:,1);
    dispro_FFTrf1000(:,i+1)=disp8(:,2);
    cardan8=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFTrf1000(:,1)=cardan8(:,1);
    cardanpro_FFTrf1000(:,i+1)=cardan8(:,2);
    midm=importdata(['FFTr\Results\SWAY_randfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
    midmpro_FFTrf1000(:,1)=midm(:,1);
   midmpro_FFTrf1000(:,i+1)=midm(:,2);
    
end

% for FFTrfa (random amplitude and frequency)
 for i=1:20; 
    surf5=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFTrfa75(:,1)=surf5(:,1); % time
    surfpro_FFTrfa75(:,i+1)=surf5(:,2); % elevation
    wave5=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFTrfa75(:,1)=wave5(:,1);
    wavepro_FFTrfa75(:,i+1)=wave5(:,2);
    acc5=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFTrfa75(:,1)=acc5(:,1);
    accpro_FFTrfa75(:,i+1)=acc5(:,2);
    disp5=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFTrfa75(:,1)=disp5(:,1);
    dispro_FFTrfa75(:,i+1)=disp5(:,2);
    cardan5=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFTrfa75(:,1)=cardan5(:,1);
    cardanpro_FFTrfa75(:,i+1)=cardan5(:,2);
    midm=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=75\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=75\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
     midmpro_FFTrfa75(:,1)=midm(:,1);
  midmpro_FFTrfa75(:,i+1)=midm(:,2);
    
   end
    
     %time histories for FFT method with 100 components with random
     %frequency and ampltiude
   
   for i=1:20;  
    surf6=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFTrfa100(:,1)=surf6(:,1); % time
    surfpro_FFTrfa100(:,i+1)=surf6(:,2); % elevation
    wave6=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFTrfa100(:,1)=wave6(:,1);
    wavepro_FFTrfa100(:,i+1)=wave6(:,2);
    acc6=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFTrfa100(:,1)=acc6(:,1);
    accpro_FFTrfa100(:,i+1)=acc6(:,2);
    disp6=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFTrfa100(:,1)=disp6(:,1);
    dispro_FFTrfa100(:,i+1)=disp6(:,2);
    cardan6=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFTrfa100(:,1)=cardan6(:,1);
    cardanpro_FFTrfa100(:,i+1)=cardan6(:,2);
    midm=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=100\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=100\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
     midmpro_FFTrfa100(:,1)=midm(:,1);
  midmpro_FFTrfa100(:,i+1)=midm(:,2);
    
   end
    %for FFTrfa with 200 comp
    for i=1:20;
    surf7=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFTrfa200(:,1)=surf7(:,1); % time
    surfpro_FFTrfa200(:,i+1)=surf7(:,2); % elevation
    wave7=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFTrfa200(:,1)=wave7(:,1);
    wavepro_FFTrfa200(:,i+1)=wave7(:,2);
    acc7=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFTrfa200(:,1)=acc7(:,1);
    accpro_FFTrfa200(:,i+1)=acc7(:,2);
    disp7=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFTrfa200(:,1)=disp7(:,1);
    dispro_FFTrfa200(:,i+1)=disp7(:,2);
    cardan7=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFTrfa200(:,1)=cardan7(:,1);
    cardanpro_FFTrfa200(:,i+1)=cardan7(:,2);
    midm=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=200\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=200\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
     midmpro_FFTrfa200(:,1)=midm(:,1);
  midmpro_FFTrfa200(:,i+1)=midm(:,2);
    
    end
   % 1000 Comp FFTrfa
for i=1:20;
    surf8=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_FFTrfa1000(:,1)=surf8(:,1); % time
    surfpro_FFTrfa1000(:,i+1)=surf8(:,2); % elevation
    wave8=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_FFTrfa1000(:,1)=wave8(:,1);
    wavepro_FFTrfa1000(:,i+1)=wave8(:,2);
    acc8=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_FFTrfa1000(:,1)=acc8(:,1);
    accpro_FFTrfa1000(:,i+1)=acc8(:,2);
    disp8=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_FFTrfa1000(:,1)=disp8(:,1);
    dispro_FFTrfa1000(:,i+1)=disp8(:,2);
    cardan8=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_FFTrfa1000(:,1)=cardan8(:,1);
    cardanpro_FFTrfa1000(:,i+1)=cardan8(:,2);
    midm=importdata(['FFTr\Results\SWAY_randampfreq\dynamic\FFT_N=1000\SWAY_Case_H=16.4_Seed=',num2str(seed(i)),'_T=17_N=1000\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
     midmpro_FFTrfa1000(:,1)=midm(:,1);
  midmpro_FFTrfa1000(:,i+1)=midm(:,2);
    
end
%gridave 200 comp, dx 5 m between nodes. dt 0.5
for i=1:20
    surf6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=05\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_grid200(:,1)=surf6(:,1); % time
    surfpro_grid200(:,i+1)=surf6(:,2); % elevation
    wave6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=05\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_grid200(:,1)=wave6(:,1);
    wavepro_grid200(:,i+1)=wave6(:,2);
    acc6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=05\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_grid200(:,1)=acc6(:,1);
    accpro_grid200(:,i+1)=acc6(:,2);
    disp6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=05\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_grid200(:,1)=disp6(:,1);
    dispro_grid200(:,i+1)=disp6(:,2);
    cardan6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=05\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_grid200(:,1)=cardan6(:,1);
    cardanpro_grid200(:,i+1)=cardan6(:,2);
    midm=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=05\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
     midmpro_grid200(:,1)=midm(:,1);
  midmpro_grid200(:,1+i)=midm(:,2);
    
end

for i=1:20;
    surf6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=10\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Surface_Elevation.plo']);
    surfpro_grid200_1(:,1)=surf6(:,1); % time
    surfpro_grid200_1(:,i+1)=surf6(:,2); % elevation
    wave6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=10\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Total_Wave_Load.plo']);
    wavepro_grid200_1(:,1)=wave6(:,1);
    wavepro_grid200_1(:,i+1)=wave6(:,2);
    acc6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=10\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Nodal_Acceleration_Node_301_Dof_1.plo']);
    accpro_grid200_1(:,1)=acc6(:,1);
    accpro_grid200_1(:,i+1)=acc6(:,2);
    disp6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=10\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Nodal_Displacement_Node_301_Dof_1.plo']);
    dispro_grid200_1(:,1)=disp6(:,1);
    dispro_grid200_1(:,i+1)=disp6(:,2);
    cardan6=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=10\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Element_Force_Elem_1019_End_2_Dof_1.plo']);
    cardanpro_grid200_1(:,1)=cardan6(:,1);
    cardanpro_grid200_1(:,i+1)=cardan6(:,2);    
    midm=importdata(['gridwave\Results\SWAY_GRD\dynamic\wavecomp_N=200\dx=10\SWAY_GRD_sample=',num2str(i),'\dynres\dynplot__Element_Force_Elem_110100_End_2_Dof_6.plo']);
     midmpro_grid200_1(:,1)=midm(:,1);
  midmpro_grid200_1(:,i+1)=midm(:,2);
    
end


% when all data is read and stored in arrays, processing the data follows:

% surface elevation process:
%collect maximums(waveheight) from each time series for later plotting
for i=1:20;
maxsurf500(i,1)=max(surfpro_FFT500(:,i+1));
maxsurf1000(i,1)=max(surfpro_FFT1000(:,i+1));
maxsure75(i,1)=max(surfpro_EAP75(:,i+1));
maxsure100(i,1)=max(surfpro_EAP100(:,i+1));
maxsure200(i,1)=max(surfpro_EAP200(:,i+1));
maxsurfr75(i,1)=max(surfpro_FFTrf75(:,i+1));
maxsurfr100(i,1)=max(surfpro_FFTrf100(:,i+1));
maxsurfr200(i,1)=max(surfpro_FFTrf200(:,i+1));
maxsurfr1000(i,1)=max(surfpro_FFTrf1000(:,i+1));
maxsurfra75(i,1)=max(surfpro_FFTrfa75(:,i+1));
maxsurfra100(i,1)=max(surfpro_FFTrfa100(:,i+1));
maxsurfra200(i,1)=max(surfpro_FFTrfa200(:,i+1));
maxsurfra1000(i,1)=max(surfpro_FFTrfa1000(:,i+1));
maxsurgr200(i,1)=max(surfpro_grid200(:,i+1));
maxsurgr200_1(i,1)=max(surfpro_grid200_1(:,i+1));
end
% average maximum for each method 
meanmaxsurf500=mean(maxsurf500);
meanmaxsurf1000=mean(maxsurf1000);
meanmaxsure75=mean(maxsure75);
meanmaxsure100=mean(maxsure100);
meanmaxsure200=mean(maxsure200);
meanmaxsurfr75=mean(maxsurfr75);
meanmaxsurfr100=mean(maxsurfr100);
meanmaxsurfr200=mean(maxsurfr200);
meanmaxsurfr1000=mean(maxsurfr1000);
meanmaxsurfra75=mean(maxsurfra75);
meanmaxsurfra100=mean(maxsurfra100);
meanmaxsurfra200=mean(maxsurfra200);
meanmaxsurfra1000=mean(maxsurfra1000);
meanmaxsurgr200=mean(maxsurgr200);
meanmaxsurgr200_1=mean(maxsurgr200_1);
% create fileIDs for storing data in excel:
file1='FFT1000';
file2='FFT500';
file3='EAP75';
file4='EAP100';
file5='EAP200';
file6='FFTrf75';
file7='FFTrf100';
file8='FFTrf200';
file9='FFTrf1000';
file10='FFTrfa75';
file11='FFTrfa100';
file12='FFTrfa200';
file13='FFTrfa1000';
file14='grid200';
file15='grid200_1';
file16='collective';

s1='Sheet1';
s2='Sheet2';
s3='Sheet3';
s4='Sheet4';
s5='Sheet5';
s6='Sheet6';

% create a collective spreadsheet for main data
xlswrite(file16,{'Collected stats surface'},s1,'A1');
xlswrite(file16,{'method'},s1,'A2');
xlswrite(file16,{file1 file2 file3 file4 file5 file6, file7 file8 file9 file10 file11 file12 file13 file14 file15}',s1,'A3');
xlswrite(file16,{'mean value'},s1,'B2');
xlswrite(file16,{'variance'},s1,'C2');
xlswrite(file16,{'skewness'},s1,'D2');
xlswrite(file16,{'kurtosis'},s1,'E2');
xlswrite(file16,{'Stnd dev'},s1,'F2');
xlswrite(file16,{'maximum'},s1,'G2');


%calc statistics and write to excel spreadsheets:

% 1. statistics surface processes for all methods stored in sheet 1 of
% separate excel spreadsheets. 

means=mean(surfpro_FFT1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFT1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFT1000(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFT1000(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFT1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFT1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 1000 stats'};
xlswrite(file1,name,s1,'A1');
xlswrite(file1,{'surface elevation'},s1,'D1');
xlswrite(file1,{'sample'},s1,'A2');
xlswrite(file1,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file1,c,s1,'A3:A22');
xlswrite(file1,means,s1,'B3:B22');
xlswrite(file1,meanmean,s1,'B23');
xlswrite(file16,meanmean,s1,'B3');
xlswrite(file1,{'mean all'},s1,'A23');
xlswrite(file1,{'STD'},s1,'A24');
xlswrite(file1,devmean,s1,'B24');
xlswrite(file1,{'Variance'},s1,'C2');
xlswrite(file1,vars,s1,'C3:C22');
xlswrite(file1,meanvr,s1,'C23');
xlswrite(file16,meanvr,s1,'C3');
xlswrite(file1,devvar,s1,'C24');
xlswrite(file1,{'Skewness'},s1,'D2');
xlswrite(file1,skews,s1,'D3:E22');
xlswrite(file1,meanskw,s1,'D23');
xlswrite(file16,meanskw,s1,'D3');
xlswrite(file1,stdskw,s1,'D24');
xlswrite(file1,{'Kurtosis'},s1,'E2');
xlswrite(file1,kurts,s1,'E3:E22');
xlswrite(file1,meankrt,s1,'E23');
xlswrite(file16,meankrt,s1,'E3');
xlswrite(file1,stdkrt,s1,'E24');
xlswrite(file1,{'Stnd dev'},s1,'F2');
xlswrite(file1,stdpro,s1,'F3:F22');
xlswrite(file1,meanstd,s1,'F23');
xlswrite(file16,meanstd,s1,'F3');
xlswrite(file1,{'maximum'},s1,'G2');
xlswrite(file1,maxs,s1,'G3:G22');
xlswrite(file1,meanmax,s1,'G23');
xlswrite(file1,stdmax,s1,'G24');
xlswrite(file16,meanmax,s1,'G3');
%FFT500
means=mean(surfpro_FFT500(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFT500(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFT500(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFT500(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFT500(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFT500(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 500 stats'};
xlswrite(file2,name,s1,'A1');
xlswrite(file2,{'surface elevation'},s1,'D1');
xlswrite(file2,{'sample'},s1,'A2');
xlswrite(file2,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file2,c,s1,'A3:A22');
xlswrite(file2,means,s1,'B3:B22');
xlswrite(file2,meanmean,s1,'B23');
xlswrite(file2,{'mean all'},s1,'A23');
xlswrite(file2,{'STD'},s1,'A24');
xlswrite(file2,devmean,s1,'B24');
xlswrite(file2,{'Variance'},s1,'C2');
xlswrite(file2,vars,s1,'C3:C22');
xlswrite(file2,meanvr,s1,'C23');
xlswrite(file2,devvar,s1,'C24');
xlswrite(file2,{'Skewness'},s1,'D2');
xlswrite(file2,skews,s1,'D3:E22');
xlswrite(file2,meanskw,s1,'D23');
xlswrite(file2,stdskw,s1,'D24');
xlswrite(file2,{'Kurtosis'},s1,'E2');
xlswrite(file2,kurts,s1,'E3:E22');
xlswrite(file2,meankrt,s1,'E23');
xlswrite(file2,stdkrt,s1,'E24');
xlswrite(file2,{'Stnd dev'},s1,'F2');
xlswrite(file2,stdpro,s1,'F3:F22');
xlswrite(file2,meanstd,s1,'F23');
xlswrite(file2,{'maximum'},s1,'G2');
xlswrite(file2,maxs,s1,'G3:G22');
xlswrite(file2,meanmax,s1,'G23');
xlswrite(file2,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B4');
xlswrite(file16,meanvr,s1,'C4');
xlswrite(file16,meanskw,s1,'D4');
xlswrite(file16,meankrt,s1,'E4');
xlswrite(file16,meanstd,s1,'F4');
xlswrite(file16,meanmax,s1,'G4');
%EAP 75
means=mean(surfpro_EAP75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_EAP75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_EAP75(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_EAP75(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_EAP75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_EAP75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 75 stats'};
xlswrite(file3,name,s1,'A1');
xlswrite(file3,{'surface elevation'},s1,'D1');
xlswrite(file3,{'sample'},s1,'A2');
xlswrite(file3,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file3,c,s1,'A3:A22');
xlswrite(file3,means,s1,'B3:B22');
xlswrite(file3,meanmean,s1,'B23');
xlswrite(file3,{'mean all'},s1,'A23');
xlswrite(file3,{'STD'},s1,'A24');
xlswrite(file3,devmean,s1,'B24');
xlswrite(file3,{'Variance'},s1,'C2');
xlswrite(file3,vars,s1,'C3:C22');
xlswrite(file3,meanvr,s1,'C23');
xlswrite(file3,devvar,s1,'C24');
xlswrite(file3,{'Skewness'},s1,'D2');
xlswrite(file3,skews,s1,'D3:E22');
xlswrite(file3,meanskw,s1,'D23');
xlswrite(file3,stdskw,s1,'D24');
xlswrite(file3,{'Kurtosis'},s1,'E2');
xlswrite(file3,kurts,s1,'E3:E22');
xlswrite(file3,meankrt,s1,'E23');
xlswrite(file3,stdkrt,s1,'E24');
xlswrite(file3,{'Stnd dev'},s1,'F2');
xlswrite(file3,stdpro,s1,'F3:F22');
xlswrite(file3,meanstd,s1,'F23');
xlswrite(file3,{'maximum'},s1,'G2');
xlswrite(file3,maxs,s1,'G3:G22');
xlswrite(file3,meanmax,s1,'G23');
xlswrite(file3,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B5');
xlswrite(file16,meanvr,s1,'C5');
xlswrite(file16,meanskw,s1,'D5');
xlswrite(file16,meankrt,s1,'E5');
xlswrite(file16,meanstd,s1,'F5');
xlswrite(file16,meanmax,s1,'G5');
%EAP100
means=mean(surfpro_EAP100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_EAP100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_EAP100(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_EAP100(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_EAP100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_EAP100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 100 stats'};
xlswrite(file4,name,s1,'A1');
xlswrite(file4,{'surface elevation'},s1,'D1');
xlswrite(file4,{'sample'},s1,'A2');
xlswrite(file4,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file4,c,s1,'A3:A22');
xlswrite(file4,means,s1,'B3:B22');
xlswrite(file4,meanmean,s1,'B23');
xlswrite(file4,{'mean all'},s1,'A23');
xlswrite(file4,{'STD'},s1,'A24');
xlswrite(file4,devmean,s1,'B24');
xlswrite(file4,{'Variance'},s1,'C2');
xlswrite(file4,vars,s1,'C3:C22');
xlswrite(file4,meanvr,s1,'C23');
xlswrite(file4,devvar,s1,'C24');
xlswrite(file4,{'Skewness'},s1,'D2');
xlswrite(file4,skews,s1,'D3:E22');
xlswrite(file4,meanskw,s1,'D23');
xlswrite(file4,stdskw,s1,'D24');
xlswrite(file4,{'Kurtosis'},s1,'E2');
xlswrite(file4,kurts,s1,'E3:E22');
xlswrite(file4,meankrt,s1,'E23');
xlswrite(file4,stdkrt,s1,'E24');
xlswrite(file4,{'Stnd dev'},s1,'F2');
xlswrite(file4,stdpro,s1,'F3:F22');
xlswrite(file4,meanstd,s1,'F23');
xlswrite(file4,{'maximum'},s1,'G2');
xlswrite(file4,maxs,s1,'G3:G22');
xlswrite(file4,meanmax,s1,'G23');
xlswrite(file4,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B6');
xlswrite(file16,meanvr,s1,'C6');
xlswrite(file16,meanskw,s1,'D6');
xlswrite(file16,meankrt,s1,'E6');
xlswrite(file16,meanstd,s1,'F6');
xlswrite(file16,meanmax,s1,'G6');
%EAP200
means=mean(surfpro_EAP200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_EAP200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_EAP200(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_EAP200(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_EAP200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_EAP200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 200 stats'};
xlswrite(file5,name,s1,'A1');
xlswrite(file5,{'surface elevation'},s1,'D1');
xlswrite(file5,{'sample'},s1,'A2');
xlswrite(file5,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file5,c,s1,'A3:A22');
xlswrite(file5,means,s1,'B3:B22');
xlswrite(file5,meanmean,s1,'B23');
xlswrite(file5,{'mean all'},s1,'A23');
xlswrite(file5,{'STD'},s1,'A24');
xlswrite(file5,devmean,s1,'B24');
xlswrite(file5,{'Variance'},s1,'C2');
xlswrite(file5,vars,s1,'C3:C22');
xlswrite(file5,meanvr,s1,'C23');
xlswrite(file5,devvar,s1,'C24');
xlswrite(file5,{'Skewness'},s1,'D2');
xlswrite(file5,skews,s1,'D3:E22');
xlswrite(file5,meanskw,s1,'D23');
xlswrite(file5,stdskw,s1,'D24');
xlswrite(file5,{'Kurtosis'},s1,'E2');
xlswrite(file5,kurts,s1,'E3:E22');
xlswrite(file5,meankrt,s1,'E23');
xlswrite(file5,stdkrt,s1,'E24');
xlswrite(file5,{'Stnd dev'},s1,'F2');
xlswrite(file5,stdpro,s1,'F3:F22');
xlswrite(file5,meanstd,s1,'F23');
xlswrite(file5,{'maximum'},s1,'G2');
xlswrite(file5,maxs,s1,'G3:G22');
xlswrite(file5,meanmax,s1,'G23');
xlswrite(file5,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B7');
xlswrite(file16,meanvr,s1,'C7');
xlswrite(file16,meanskw,s1,'D7');
xlswrite(file16,meankrt,s1,'E7');
xlswrite(file16,meanstd,s1,'F7');
xlswrite(file16,meanmax,s1,'G7');
% FFTrf 75
means=mean(surfpro_FFTrf75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFTrf75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFTrf75(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFTrf75(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFTrf75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFTrf75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 75 stats'};
xlswrite(file6,name,s1,'A1');
xlswrite(file6,{'surface elevation'},s1,'D1');
xlswrite(file6,{'sample'},s1,'A2');
xlswrite(file6,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file6,c,s1,'A3:A22');
xlswrite(file6,means,s1,'B3:B22');
xlswrite(file6,meanmean,s1,'B23');
xlswrite(file6,{'mean all'},s1,'A23');
xlswrite(file6,{'STD'},s1,'A24');
xlswrite(file6,devmean,s1,'B24');
xlswrite(file6,{'Variance'},s1,'C2');
xlswrite(file6,vars,s1,'C3:C22');
xlswrite(file6,meanvr,s1,'C23');
xlswrite(file6,devvar,s1,'C24');
xlswrite(file6,{'Skewness'},s1,'D2');
xlswrite(file6,skews,s1,'D3:E22');
xlswrite(file6,meanskw,s1,'D23');
xlswrite(file6,stdskw,s1,'D24');
xlswrite(file6,{'Kurtosis'},s1,'E2');
xlswrite(file6,kurts,s1,'E3:E22');
xlswrite(file6,meankrt,s1,'E23');
xlswrite(file6,stdkrt,s1,'E24');
xlswrite(file6,{'Stnd dev'},s1,'F2');
xlswrite(file6,stdpro,s1,'F3:F22');
xlswrite(file6,meanstd,s1,'F23');
xlswrite(file6,{'maximum'},s1,'G2');
xlswrite(file6,maxs,s1,'G3:G22');
xlswrite(file6,meanmax,s1,'G23');
xlswrite(file6,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B8');
xlswrite(file16,meanvr,s1,'C8');
xlswrite(file16,meanskw,s1,'D8');
xlswrite(file16,meankrt,s1,'E8');
xlswrite(file16,meanstd,s1,'F8');
xlswrite(file16,meanmax,s1,'G8');
% FFTrf 100
means=mean(surfpro_FFTrf100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFTrf100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFTrf100(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFTrf100(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFTrf100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFTrf100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 100 stats'};
xlswrite(file7,name,s1,'A1');
xlswrite(file7,{'surface elevation'},s1,'D1');
xlswrite(file7,{'sample'},s1,'A2');
xlswrite(file7,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file7,c,s1,'A3:A22');
xlswrite(file7,means,s1,'B3:B22');
xlswrite(file7,meanmean,s1,'B23');
xlswrite(file7,{'mean all'},s1,'A23');
xlswrite(file7,{'STD'},s1,'A24');
xlswrite(file7,devmean,s1,'B24');
xlswrite(file7,{'Variance'},s1,'C2');
xlswrite(file7,vars,s1,'C3:C22');
xlswrite(file7,meanvr,s1,'C23');
xlswrite(file7,devvar,s1,'C24');
xlswrite(file7,{'Skewness'},s1,'D2');
xlswrite(file7,skews,s1,'D3:E22');
xlswrite(file7,meanskw,s1,'D23');
xlswrite(file7,stdskw,s1,'D24');
xlswrite(file7,{'Kurtosis'},s1,'E2');
xlswrite(file7,kurts,s1,'E3:E22');
xlswrite(file7,meankrt,s1,'E23');
xlswrite(file7,stdkrt,s1,'E24');
xlswrite(file7,{'Stnd dev'},s1,'F2');
xlswrite(file7,stdpro,s1,'F3:F22');
xlswrite(file7,meanstd,s1,'F23');
xlswrite(file7,{'maximum'},s1,'G2');
xlswrite(file7,maxs,s1,'G3:G22');
xlswrite(file7,meanmax,s1,'G23');
xlswrite(file7,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B9');
xlswrite(file16,meanvr,s1,'C9');
xlswrite(file16,meanskw,s1,'D9');
xlswrite(file16,meankrt,s1,'E9');
xlswrite(file16,meanstd,s1,'F9');
xlswrite(file16,meanmax,s1,'G9');
% FFTrf200
means=mean(surfpro_FFTrf200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFTrf200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFTrf200(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFTrf200(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFTrf200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFTrf200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 200 stats'};
xlswrite(file8,name,s1,'A1');
xlswrite(file8,{'surface elevation'},s1,'D1');
xlswrite(file8,{'sample'},s1,'A2');
xlswrite(file8,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file8,c,s1,'A3:A22');
xlswrite(file8,means,s1,'B3:B22');
xlswrite(file8,meanmean,s1,'B23');
xlswrite(file8,{'mean all'},s1,'A23');
xlswrite(file8,{'STD'},s1,'A24');
xlswrite(file8,devmean,s1,'B24');
xlswrite(file8,{'Variance'},s1,'C2');
xlswrite(file8,vars,s1,'C3:C22');
xlswrite(file8,meanvr,s1,'C23');
xlswrite(file8,devvar,s1,'C24');
xlswrite(file8,{'Skewness'},s1,'D2');
xlswrite(file8,skews,s1,'D3:E22');
xlswrite(file8,meanskw,s1,'D23');
xlswrite(file8,stdskw,s1,'D24');
xlswrite(file8,{'Kurtosis'},s1,'E2');
xlswrite(file8,kurts,s1,'E3:E22');
xlswrite(file8,meankrt,s1,'E23');
xlswrite(file8,stdkrt,s1,'E24');
xlswrite(file8,{'Stnd dev'},s1,'F2');
xlswrite(file8,stdpro,s1,'F3:F22');
xlswrite(file8,meanstd,s1,'F23');
xlswrite(file8,{'maximum'},s1,'G2');
xlswrite(file8,maxs,s1,'G3:G22');
xlswrite(file8,meanmax,s1,'G23');
xlswrite(file8,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B10');
xlswrite(file16,meanvr,s1,'C10');
xlswrite(file16,meanskw,s1,'D10');
xlswrite(file16,meankrt,s1,'E10');
xlswrite(file16,meanstd,s1,'F10');
xlswrite(file16,meanmax,s1,'G10');
%FFTrf1000
means=mean(surfpro_FFTrf1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFTrf1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFTrf1000(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFTrf1000(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFTrf1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFTrf1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 1000 stats'};
xlswrite(file9,name,s1,'A1');
xlswrite(file9,{'surface elevation'},s1,'D1');
xlswrite(file9,{'sample'},s1,'A2');
xlswrite(file9,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file9,c,s1,'A3:A22');
xlswrite(file9,means,s1,'B3:B22');
xlswrite(file9,meanmean,s1,'B23');
xlswrite(file9,{'mean all'},s1,'A23');
xlswrite(file9,{'STD'},s1,'A24');
xlswrite(file9,devmean,s1,'B24');
xlswrite(file9,{'Variance'},s1,'C2');
xlswrite(file9,vars,s1,'C3:C22');
xlswrite(file9,meanvr,s1,'C23');
xlswrite(file9,devvar,s1,'C24');
xlswrite(file9,{'Skewness'},s1,'D2');
xlswrite(file9,skews,s1,'D3:E22');
xlswrite(file9,meanskw,s1,'D23');
xlswrite(file9,stdskw,s1,'D24');
xlswrite(file9,{'Kurtosis'},s1,'E2');
xlswrite(file9,kurts,s1,'E3:E22');
xlswrite(file9,meankrt,s1,'E23');
xlswrite(file9,stdkrt,s1,'E24');
xlswrite(file9,{'Stnd dev'},s1,'F2');
xlswrite(file9,stdpro,s1,'F3:F22');
xlswrite(file9,meanstd,s1,'F23');
xlswrite(file9,{'maximum'},s1,'G2');
xlswrite(file9,maxs,s1,'G3:G22');
xlswrite(file9,meanmax,s1,'G23');
xlswrite(file9,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B11');
xlswrite(file16,meanvr,s1,'C11');
xlswrite(file16,meanskw,s1,'D11');
xlswrite(file16,meankrt,s1,'E11');
xlswrite(file16,meanstd,s1,'F11');
xlswrite(file16,meanmax,s1,'G11');
%FFTrfa 75
means=mean(surfpro_FFTrfa75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFTrfa75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFTrfa75(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFTrfa75(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFTrfa75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFTrfa75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 75 stats'};
xlswrite(file10,name,s1,'A1');
xlswrite(file10,{'surface elevation'},s1,'D1');
xlswrite(file10,{'sample'},s1,'A2');
xlswrite(file10,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file10,c,s1,'A3:A22');
xlswrite(file10,means,s1,'B3:B22');
xlswrite(file10,meanmean,s1,'B23');
xlswrite(file10,{'mean all'},s1,'A23');
xlswrite(file10,{'STD'},s1,'A24');
xlswrite(file10,devmean,s1,'B24');
xlswrite(file10,{'Variance'},s1,'C2');
xlswrite(file10,vars,s1,'C3:C22');
xlswrite(file10,meanvr,s1,'C23');
xlswrite(file10,devvar,s1,'C24');
xlswrite(file10,{'Skewness'},s1,'D2');
xlswrite(file10,skews,s1,'D3:E22');
xlswrite(file10,meanskw,s1,'D23');
xlswrite(file10,stdskw,s1,'D24');
xlswrite(file10,{'Kurtosis'},s1,'E2');
xlswrite(file10,kurts,s1,'E3:E22');
xlswrite(file10,meankrt,s1,'E23');
xlswrite(file10,stdkrt,s1,'E24');
xlswrite(file10,{'Stnd dev'},s1,'F2');
xlswrite(file10,stdpro,s1,'F3:F22');
xlswrite(file10,meanstd,s1,'F23');
xlswrite(file10,{'maximum'},s1,'G2');
xlswrite(file10,maxs,s1,'G3:G22');
xlswrite(file10,meanmax,s1,'G23');
xlswrite(file10,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B12');
xlswrite(file16,meanvr,s1,'C12');
xlswrite(file16,meanskw,s1,'D12');
xlswrite(file16,meankrt,s1,'E12');
xlswrite(file16,meanstd,s1,'F12');
xlswrite(file16,meanmax,s1,'G12');
%FFTrfa100
means=mean(surfpro_FFTrfa100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFTrfa100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFTrfa100(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFTrfa100(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFTrfa100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFTrfa100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 100 stats'};
xlswrite(file11,name,s1,'A1');
xlswrite(file11,{'surface elevation'},s1,'D1');
xlswrite(file11,{'sample'},s1,'A2');
xlswrite(file11,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file11,c,s1,'A3:A22');
xlswrite(file11,means,s1,'B3:B22');
xlswrite(file11,meanmean,s1,'B23');
xlswrite(file11,{'mean all'},s1,'A23');
xlswrite(file11,{'STD'},s1,'A24');
xlswrite(file11,devmean,s1,'B24');
xlswrite(file11,{'Variance'},s1,'C2');
xlswrite(file11,vars,s1,'C3:C22');
xlswrite(file11,meanvr,s1,'C23');
xlswrite(file11,devvar,s1,'C24');
xlswrite(file11,{'Skewness'},s1,'D2');
xlswrite(file11,skews,s1,'D3:E22');
xlswrite(file11,meanskw,s1,'D23');
xlswrite(file11,stdskw,s1,'D24');
xlswrite(file11,{'Kurtosis'},s1,'E2');
xlswrite(file11,kurts,s1,'E3:E22');
xlswrite(file11,meankrt,s1,'E23');
xlswrite(file11,stdkrt,s1,'E24');
xlswrite(file11,{'Stnd dev'},s1,'F2');
xlswrite(file11,stdpro,s1,'F3:F22');
xlswrite(file11,meanstd,s1,'F23');
xlswrite(file11,{'maximum'},s1,'G2');
xlswrite(file11,maxs,s1,'G3:G22');
xlswrite(file11,meanmax,s1,'G23');
xlswrite(file11,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B13');
xlswrite(file16,meanvr,s1,'C13');
xlswrite(file16,meanskw,s1,'D13');
xlswrite(file16,meankrt,s1,'E13');
xlswrite(file16,meanstd,s1,'F13');
xlswrite(file16,meanmax,s1,'G13');
%rfa200
means=mean(surfpro_FFTrfa200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFTrfa200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFTrfa200(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFTrfa200(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFTrfa200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFTrfa200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 200 stats'};
xlswrite(file12,name,s1,'A1');
xlswrite(file12,{'surface elevation'},s1,'D1');
xlswrite(file12,{'sample'},s1,'A2');
xlswrite(file12,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file12,c,s1,'A3:A22');
xlswrite(file12,means,s1,'B3:B22');
xlswrite(file12,meanmean,s1,'B23');
xlswrite(file12,{'mean all'},s1,'A23');
xlswrite(file12,{'STD'},s1,'A24');
xlswrite(file12,devmean,s1,'B24');
xlswrite(file12,{'Variance'},s1,'C2');
xlswrite(file12,vars,s1,'C3:C22');
xlswrite(file12,meanvr,s1,'C23');
xlswrite(file12,devvar,s1,'C24');
xlswrite(file12,{'Skewness'},s1,'D2');
xlswrite(file12,skews,s1,'D3:E22');
xlswrite(file12,meanskw,s1,'D23');
xlswrite(file12,stdskw,s1,'D24');
xlswrite(file12,{'Kurtosis'},s1,'E2');
xlswrite(file12,kurts,s1,'E3:E22');
xlswrite(file12,meankrt,s1,'E23');
xlswrite(file12,stdkrt,s1,'E24');
xlswrite(file12,{'Stnd dev'},s1,'F2');
xlswrite(file12,stdpro,s1,'F3:F22');
xlswrite(file12,meanstd,s1,'F23');
xlswrite(file12,{'maximum'},s1,'G2');
xlswrite(file12,maxs,s1,'G3:G22');
xlswrite(file12,meanmax,s1,'G23');
xlswrite(file12,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B14');
xlswrite(file16,meanvr,s1,'C14');
xlswrite(file16,meanskw,s1,'D14');
xlswrite(file16,meankrt,s1,'E14');
xlswrite(file16,meanstd,s1,'F14');
xlswrite(file16,meanmax,s1,'G14');
%rfa1000
means=mean(surfpro_FFTrfa1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_FFTrfa1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_FFTrfa1000(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_FFTrfa1000(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_FFTrfa1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_FFTrfa1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 1000 stats'};
xlswrite(file13,name,s1,'A1');
xlswrite(file13,{'surface elevation'},s1,'D1');
xlswrite(file13,{'sample'},s1,'A2');
xlswrite(file13,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file13,c,s1,'A3:A22');
xlswrite(file13,means,s1,'B3:B22');
xlswrite(file13,meanmean,s1,'B23');
xlswrite(file13,{'mean all'},s1,'A23');
xlswrite(file13,{'STD'},s1,'A24');
xlswrite(file13,devmean,s1,'B24');
xlswrite(file13,{'Variance'},s1,'C2');
xlswrite(file13,vars,s1,'C3:C22');
xlswrite(file13,meanvr,s1,'C23');
xlswrite(file13,devvar,s1,'C24');
xlswrite(file13,{'Skewness'},s1,'D2');
xlswrite(file13,skews,s1,'D3:E22');
xlswrite(file13,meanskw,s1,'D23');
xlswrite(file13,stdskw,s1,'D24');
xlswrite(file13,{'Kurtosis'},s1,'E2');
xlswrite(file13,kurts,s1,'E3:E22');
xlswrite(file13,meankrt,s1,'E23');
xlswrite(file13,stdkrt,s1,'E24');
xlswrite(file13,{'Stnd dev'},s1,'F2');
xlswrite(file13,stdpro,s1,'F3:F22');
xlswrite(file13,meanstd,s1,'F23');
xlswrite(file13,{'maximum'},s1,'G2');
xlswrite(file13,maxs,s1,'G3:G22');
xlswrite(file13,meanmax,s1,'G23');
xlswrite(file13,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B15');
xlswrite(file16,meanvr,s1,'C15');
xlswrite(file16,meanskw,s1,'D15');
xlswrite(file16,meankrt,s1,'E15');
xlswrite(file16,meanstd,s1,'F15');
xlswrite(file16,meanmax,s1,'G15');
%grid 200 5 meter x-node dx
means=mean(surfpro_grid200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_grid200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_grid200(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_grid200(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_grid200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_grid200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'grid 200 5 stats'};
xlswrite(file14,name,s1,'A1');
xlswrite(file14,{'surface elevation'},s1,'D1');
xlswrite(file14,{'sample'},s1,'A2');
xlswrite(file14,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file14,c,s1,'A3:A22');
xlswrite(file14,means,s1,'B3:B22');
xlswrite(file14,meanmean,s1,'B23');
xlswrite(file14,{'mean all'},s1,'A23');
xlswrite(file14,{'STD'},s1,'A24');
xlswrite(file14,devmean,s1,'B24');
xlswrite(file14,{'Variance'},s1,'C2');
xlswrite(file14,vars,s1,'C3:C22');
xlswrite(file14,meanvr,s1,'C23');
xlswrite(file14,devvar,s1,'C24');
xlswrite(file14,{'Skewness'},s1,'D2');
xlswrite(file14,skews,s1,'D3:E22');
xlswrite(file14,meanskw,s1,'D23');
xlswrite(file14,stdskw,s1,'D24');
xlswrite(file14,{'Kurtosis'},s1,'E2');
xlswrite(file14,kurts,s1,'E3:E22');
xlswrite(file14,meankrt,s1,'E23');
xlswrite(file14,stdkrt,s1,'E24');
xlswrite(file14,{'Stnd dev'},s1,'F2');
xlswrite(file14,stdpro,s1,'F3:F22');
xlswrite(file14,meanstd,s1,'F23');
xlswrite(file14,{'maximum'},s1,'G2');
xlswrite(file14,maxs,s1,'G3:G22');
xlswrite(file14,meanmax,s1,'G23');
xlswrite(file14,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B16');
xlswrite(file16,meanvr,s1,'C16');
xlswrite(file16,meanskw,s1,'D16');
xlswrite(file16,meankrt,s1,'E16');
xlswrite(file16,meanstd,s1,'F16');
xlswrite(file16,meanmax,s1,'G16');
%grid 200_1 10 m between x nodes
means=mean(surfpro_grid200_1(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(surfpro_grid200_1(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);
skews=skewness(surfpro_grid200_1(:,2:21))';
meanskw=mean(skews);
stdskw=std(skews);
kurts=kurtosis(surfpro_grid200_1(:,2:21))';
meankrt=mean(kurts);
stdkrt=std(kurts);
stdpro=std(surfpro_grid200_1(:,2:21))';
meanstd=mean(stdpro);
maxs=max(surfpro_grid200_1(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'grid 200_1 10 stats'};
xlswrite(file15,name,s1,'A1');
xlswrite(file15,{'surface elevation'},s1,'D1');
xlswrite(file15,{'sample'},s1,'A2');
xlswrite(file15,{'mean'},s1,'B2');
c=[1:1:20]';
xlswrite(file15,c,s1,'A3:A22');
xlswrite(file15,means,s1,'B3:B22');
xlswrite(file15,meanmean,s1,'B23');
xlswrite(file15,{'mean all'},s1,'A23');
xlswrite(file15,{'STD'},s1,'A24');
xlswrite(file15,devmean,s1,'B24');
xlswrite(file15,{'Variance'},s1,'C2');
xlswrite(file15,vars,s1,'C3:C22');
xlswrite(file15,meanvr,s1,'C23');
xlswrite(file15,devvar,s1,'C24');
xlswrite(file15,{'Skewness'},s1,'D2');
xlswrite(file15,skews,s1,'D3:E22');
xlswrite(file15,meanskw,s1,'D23');
xlswrite(file15,stdskw,s1,'D24');
xlswrite(file15,{'Kurtosis'},s1,'E2');
xlswrite(file15,kurts,s1,'E3:E22');
xlswrite(file15,meankrt,s1,'E23');
xlswrite(file15,stdkrt,s1,'E24');
xlswrite(file15,{'Stnd dev'},s1,'F2');
xlswrite(file15,stdpro,s1,'F3:F22');
xlswrite(file15,meanstd,s1,'F23');
xlswrite(file15,{'maximum'},s1,'G2');
xlswrite(file15,maxs,s1,'G3:G22');
xlswrite(file15,meanmax,s1,'G23');
xlswrite(file15,stdmax,s1,'G24');

xlswrite(file16,meanmean,s1,'B17');
xlswrite(file16,meanvr,s1,'C17');
xlswrite(file16,meanskw,s1,'D17');
xlswrite(file16,meankrt,s1,'D17');
xlswrite(file16,meanstd,s1,'E17');
xlswrite(file16,meanmax,s1,'F17');

%^^Surface statistics for all methods/and components are stored in excel^^.
% 2. total waveload, all methods

% create a collective spreadsheet for main data
xlswrite(file16,{'Collected stats waveloads'},s2,'A1');
xlswrite(file16,{'method'},s2,'A2');
xlswrite(file16,{file1 file2 file3 file4 file5 file6, file7 file8 file9 file10 file11 file12 file13 file14 file15}',s2,'A3');
xlswrite(file16,{'mean value'},s2,'B2');
xlswrite(file16,{'variance'},s2,'C2');

xlswrite(file16,{'Stnd dev'},s2,'D2');
xlswrite(file16,{'maximum'},s2,'E2');


%calc statistics and write to excel spreadsheets:


means=mean(wavepro_FFT1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFT1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFT1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFT1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 1000 stats'};
xlswrite(file1,name,s2,'A1');
xlswrite(file1,{'waveload total'},s2,'D1');
xlswrite(file1,{'sample'},s2,'A2');
xlswrite(file1,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file1,c,s2,'A3:A22');
xlswrite(file1,means,s2,'B3:B22');
xlswrite(file1,meanmean,s2,'B23');
xlswrite(file1,{'mean all'},s2,'A23');
xlswrite(file1,{'STD'},s2,'A24');
xlswrite(file1,devmean,s2,'B24');
xlswrite(file1,{'Variance'},s2,'C2');
xlswrite(file1,vars,s2,'C3:C22');
xlswrite(file1,meanvr,s2,'C23');
xlswrite(file1,devvar,s2,'C24');

xlswrite(file1,{'Stnd dev'},s2,'D2');
xlswrite(file1,stdpro,s2,'D3:D22');
xlswrite(file1,meanstd,s2,'D23');
xlswrite(file1,{'maximum'},s2,'E2');
xlswrite(file1,maxs,s2,'E3:E22');
xlswrite(file1,meanmax,s2,'E23');
xlswrite(file1,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B3');
xlswrite(file16,meanvr,s2,'C3');
xlswrite(file16,meanstd,s2,'D3');
xlswrite(file16,meanmax,s2,'E3');
%FFT500
means=mean(wavepro_FFT500(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFT500(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFT500(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFT500(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 500 stats'};
xlswrite(file2,name,s2,'A1');
xlswrite(file2,{'waveload total'},s2,'D1');
xlswrite(file2,{'sample'},s2,'A2');
xlswrite(file2,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file2,c,s2,'A3:A22');
xlswrite(file2,means,s2,'B3:B22');
xlswrite(file2,meanmean,s2,'B23');
xlswrite(file2,{'mean all'},s2,'A23');
xlswrite(file2,{'STD'},s2,'A24');
xlswrite(file2,devmean,s2,'B24');
xlswrite(file2,{'Variance'},s2,'C2');
xlswrite(file2,vars,s2,'C3:C22');
xlswrite(file2,meanvr,s2,'C23');
xlswrite(file2,devvar,s2,'C24');

xlswrite(file2,{'Stnd dev'},s2,'D2');
xlswrite(file2,stdpro,s2,'D3:D22');
xlswrite(file2,meanstd,s2,'D23');
xlswrite(file2,{'maximum'},s2,'E2');
xlswrite(file2,maxs,s2,'E3:E22');
xlswrite(file2,meanmax,s2,'E23');
xlswrite(file2,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B4');
xlswrite(file16,meanvr,s2,'C4');

xlswrite(file16,meanstd,s2,'D4');
xlswrite(file16,meanmax,s2,'E4');
%EAP 75
means=mean(wavepro_EAP75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_EAP75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_EAP75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_EAP75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 75 stats'};
xlswrite(file3,name,s2,'A1');
xlswrite(file3,{'waveload total'},s2,'D1');
xlswrite(file3,{'sample'},s2,'A2');
xlswrite(file3,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file3,c,s2,'A3:A22');
xlswrite(file3,means,s2,'B3:B22');
xlswrite(file3,meanmean,s2,'B23');
xlswrite(file3,{'mean all'},s2,'A23');
xlswrite(file3,{'STD'},s2,'A24');
xlswrite(file3,devmean,s2,'B24');
xlswrite(file3,{'Variance'},s2,'C2');
xlswrite(file3,vars,s2,'C3:C22');
xlswrite(file3,meanvr,s2,'C23');
xlswrite(file3,devvar,s2,'C24');

xlswrite(file3,{'Stnd dev'},s2,'D2');
xlswrite(file3,stdpro,s2,'D3:D22');
xlswrite(file3,meanstd,s2,'D23');
xlswrite(file3,{'maximum'},s2,'E2');
xlswrite(file3,maxs,s2,'E3:E22');
xlswrite(file3,meanmax,s2,'E23');
xlswrite(file3,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B5');
xlswrite(file16,meanvr,s2,'C5');

xlswrite(file16,meanstd,s2,'D5');
xlswrite(file16,meanmax,s2,'E5');
%EAP100
means=mean(wavepro_EAP100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_EAP100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_EAP100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_EAP100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 100 stats'};
xlswrite(file4,name,s2,'A1');
xlswrite(file4,{'waveload total'},s2,'D1');
xlswrite(file4,{'sample'},s2,'A2');
xlswrite(file4,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file4,c,s2,'A3:A22');
xlswrite(file4,means,s2,'B3:B22');
xlswrite(file4,meanmean,s2,'B23');
xlswrite(file4,{'mean all'},s2,'A23');
xlswrite(file4,{'STD'},s2,'A24');
xlswrite(file4,devmean,s2,'B24');
xlswrite(file4,{'Variance'},s2,'C2');
xlswrite(file4,vars,s2,'C3:C22');
xlswrite(file4,meanvr,s2,'C23');
xlswrite(file4,devvar,s2,'C24');

xlswrite(file4,{'Stnd dev'},s2,'D2');
xlswrite(file4,stdpro,s2,'D3:D22');
xlswrite(file4,meanstd,s2,'D23');
xlswrite(file4,{'maximum'},s2,'E2');
xlswrite(file4,maxs,s2,'E3:E22');
xlswrite(file4,meanmax,s2,'E23');
xlswrite(file4,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B6');
xlswrite(file16,meanvr,s2,'C6');

xlswrite(file16,meanstd,s2,'D6');
xlswrite(file16,meanmax,s2,'E6');
%EAP200
means=mean(wavepro_EAP200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_EAP200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_EAP200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_EAP200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 200 stats'};
xlswrite(file5,name,s2,'A1');
xlswrite(file5,{'waveload total'},s2,'D1');
xlswrite(file5,{'sample'},s2,'A2');
xlswrite(file5,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file5,c,s2,'A3:A22');
xlswrite(file5,means,s2,'B3:B22');
xlswrite(file5,meanmean,s2,'B23');
xlswrite(file5,{'mean all'},s2,'A23');
xlswrite(file5,{'STD'},s2,'A24');
xlswrite(file5,devmean,s2,'B24');
xlswrite(file5,{'Variance'},s2,'C2');
xlswrite(file5,vars,s2,'C3:C22');
xlswrite(file5,meanvr,s2,'C23');
xlswrite(file5,devvar,s2,'C24');

xlswrite(file5,{'Stnd dev'},s2,'D2');
xlswrite(file5,stdpro,s2,'D3:D22');
xlswrite(file5,meanstd,s2,'D23');
xlswrite(file5,{'maximum'},s2,'E2');
xlswrite(file5,maxs,s2,'E3:E22');
xlswrite(file5,meanmax,s2,'E23');
xlswrite(file5,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B7');
xlswrite(file16,meanvr,s2,'C7');

xlswrite(file16,meanstd,s2,'D7');
xlswrite(file16,meanmax,s2,'E7');
% FFTrf 75
means=mean(wavepro_FFTrf75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFTrf75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFTrf75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFTrf75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 75 stats'};
xlswrite(file6,name,s2,'A1');
xlswrite(file6,{'waveload total'},s2,'D1');
xlswrite(file6,{'sample'},s2,'A2');
xlswrite(file6,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file6,c,s2,'A3:A22');
xlswrite(file6,means,s2,'B3:B22');
xlswrite(file6,meanmean,s2,'B23');
xlswrite(file6,{'mean all'},s2,'A23');
xlswrite(file6,{'STD'},s2,'A24');
xlswrite(file6,devmean,s2,'B24');
xlswrite(file6,{'Variance'},s2,'C2');
xlswrite(file6,vars,s2,'C3:C22');
xlswrite(file6,meanvr,s2,'C23');
xlswrite(file6,devvar,s2,'C24');

xlswrite(file6,{'Stnd dev'},s2,'D2');
xlswrite(file6,stdpro,s2,'D3:D22');
xlswrite(file6,meanstd,s2,'D23');
xlswrite(file6,{'maximum'},s2,'E2');
xlswrite(file6,maxs,s2,'E3:E22');
xlswrite(file6,meanmax,s2,'E23');
xlswrite(file6,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B8');
xlswrite(file16,meanvr,s2,'C8');

xlswrite(file16,meanstd,s2,'D8');
xlswrite(file16,meanmax,s2,'E8');
% FFTrf 100
means=mean(wavepro_FFTrf100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFTrf100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFTrf100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFTrf100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 100 stats'};
xlswrite(file7,name,s2,'A1');
xlswrite(file7,{'waveload total'},s2,'D1');
xlswrite(file7,{'sample'},s2,'A2');
xlswrite(file7,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file7,c,s2,'A3:A22');
xlswrite(file7,means,s2,'B3:B22');
xlswrite(file7,meanmean,s2,'B23');
xlswrite(file7,{'mean all'},s2,'A23');
xlswrite(file7,{'STD'},s2,'A24');
xlswrite(file7,devmean,s2,'B24');
xlswrite(file7,{'Variance'},s2,'C2');
xlswrite(file7,vars,s2,'C3:C22');
xlswrite(file7,meanvr,s2,'C23');
xlswrite(file7,devvar,s2,'C24');

xlswrite(file7,{'Stnd dev'},s2,'D2');
xlswrite(file7,stdpro,s2,'D3:D22');
xlswrite(file7,meanstd,s2,'D23');
xlswrite(file7,{'maximum'},s2,'E2');
xlswrite(file7,maxs,s2,'E3:E22');
xlswrite(file7,meanmax,s2,'E23');
xlswrite(file7,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B9');
xlswrite(file16,meanvr,s2,'C9');

xlswrite(file16,meanstd,s2,'D9');
xlswrite(file16,meanmax,s2,'E9');
% FFTrf200
means=mean(wavepro_FFTrf200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFTrf200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFTrf200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFTrf200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 200 stats'};
xlswrite(file8,name,s2,'A1');
xlswrite(file8,{'waveload total'},s2,'D1');
xlswrite(file8,{'sample'},s2,'A2');
xlswrite(file8,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file8,c,s2,'A3:A22');
xlswrite(file8,means,s2,'B3:B22');
xlswrite(file8,meanmean,s2,'B23');
xlswrite(file8,{'mean all'},s2,'A23');
xlswrite(file8,{'STD'},s2,'A24');
xlswrite(file8,devmean,s2,'B24');
xlswrite(file8,{'Variance'},s2,'C2');
xlswrite(file8,vars,s2,'C3:C22');
xlswrite(file8,meanvr,s2,'C23');
xlswrite(file8,devvar,s2,'C24');

xlswrite(file8,{'Stnd dev'},s2,'D2');
xlswrite(file8,stdpro,s2,'D3:D22');
xlswrite(file8,meanstd,s2,'D23');
xlswrite(file8,{'maximum'},s2,'E2');
xlswrite(file8,maxs,s2,'E3:E22');
xlswrite(file8,meanmax,s2,'E23');
xlswrite(file8,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B10');
xlswrite(file16,meanvr,s2,'C10');

xlswrite(file16,meanstd,s2,'D10');
xlswrite(file16,meanmax,s2,'E10');
%FFTrf1000
means=mean(wavepro_FFTrf1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFTrf1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFTrf1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFTrf1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 1000 stats'};
xlswrite(file9,name,s2,'A1');
xlswrite(file9,{'waveload total'},s2,'D1');
xlswrite(file9,{'sample'},s2,'A2');
xlswrite(file9,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file9,c,s2,'A3:A22');
xlswrite(file9,means,s2,'B3:B22');
xlswrite(file9,meanmean,s2,'B23');
xlswrite(file9,{'mean all'},s2,'A23');
xlswrite(file9,{'STD'},s2,'A24');
xlswrite(file9,devmean,s2,'B24');
xlswrite(file9,{'Variance'},s2,'C2');
xlswrite(file9,vars,s2,'C3:C22');
xlswrite(file9,meanvr,s2,'C23');
xlswrite(file9,devvar,s2,'C24');

xlswrite(file9,{'Stnd dev'},s2,'D2');
xlswrite(file9,stdpro,s2,'D3:D22');
xlswrite(file9,meanstd,s2,'D23');
xlswrite(file9,{'maximum'},s2,'E2');
xlswrite(file9,maxs,s2,'E3:E22');
xlswrite(file9,meanmax,s2,'E23');
xlswrite(file9,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B11');
xlswrite(file16,meanvr,s2,'C11');

xlswrite(file16,meanstd,s2,'D11');
xlswrite(file16,meanmax,s2,'E11');
%FFTrfa 75
means=mean(wavepro_FFTrfa75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFTrfa75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFTrfa75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFTrfa75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 75 stats'};
xlswrite(file10,name,s2,'A1');
xlswrite(file10,{'waveload total'},s2,'D1');
xlswrite(file10,{'sample'},s2,'A2');
xlswrite(file10,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file10,c,s2,'A3:A22');
xlswrite(file10,means,s2,'B3:B22');
xlswrite(file10,meanmean,s2,'B23');
xlswrite(file10,{'mean all'},s2,'A23');
xlswrite(file10,{'STD'},s2,'A24');
xlswrite(file10,devmean,s2,'B24');
xlswrite(file10,{'Variance'},s2,'C2');
xlswrite(file10,vars,s2,'C3:C22');
xlswrite(file10,meanvr,s2,'C23');
xlswrite(file10,devvar,s2,'C24');


xlswrite(file10,{'Stnd dev'},s2,'D2');
xlswrite(file10,stdpro,s2,'D3:D22');
xlswrite(file10,meanstd,s2,'D23');
xlswrite(file10,{'maximum'},s2,'E2');
xlswrite(file10,maxs,s2,'E3:E22');
xlswrite(file10,meanmax,s2,'E23');
xlswrite(file10,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B12');
xlswrite(file16,meanvr,s2,'C12');

xlswrite(file16,meanstd,s2,'D12');
xlswrite(file16,meanmax,s2,'E12');
%FFTrfa100
means=mean(wavepro_FFTrfa100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFTrfa100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFTrfa100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFTrfa100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 100 stats'};
xlswrite(file11,name,s2,'A1');
xlswrite(file11,{'waveload total'},s2,'D1');
xlswrite(file11,{'sample'},s2,'A2');
xlswrite(file11,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file11,c,s2,'A3:A22');
xlswrite(file11,means,s2,'B3:B22');
xlswrite(file11,meanmean,s2,'B23');
xlswrite(file11,{'mean all'},s2,'A23');
xlswrite(file11,{'STD'},s2,'A24');
xlswrite(file11,devmean,s2,'B24');
xlswrite(file11,{'Variance'},s2,'C2');
xlswrite(file11,vars,s2,'C3:C22');
xlswrite(file11,meanvr,s2,'C23');
xlswrite(file11,devvar,s2,'C24');
xlswrite(file11,{'Stnd dev'},s2,'D2');
xlswrite(file11,stdpro,s2,'D3:D22');
xlswrite(file11,meanstd,s2,'D23');
xlswrite(file11,{'maximum'},s2,'E2');
xlswrite(file11,maxs,s2,'E3:E22');
xlswrite(file11,meanmax,s2,'E23');
xlswrite(file11,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B13');
xlswrite(file16,meanvr,s2,'C13');

xlswrite(file16,meanstd,s2,'D13');
xlswrite(file16,meanmax,s2,'E13');
%rfa200
means=mean(wavepro_FFTrfa200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFTrfa200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFTrfa200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFTrfa200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 200 stats'};
xlswrite(file12,name,s2,'A1');
xlswrite(file12,{'waveload total'},s2,'D1');
xlswrite(file12,{'sample'},s2,'A2');
xlswrite(file12,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file12,c,s2,'A3:A22');
xlswrite(file12,means,s2,'B3:B22');
xlswrite(file12,meanmean,s2,'B23');
xlswrite(file12,{'mean all'},s2,'A23');
xlswrite(file12,{'STD'},s2,'A24');
xlswrite(file12,devmean,s2,'B24');
xlswrite(file12,{'Variance'},s2,'C2');
xlswrite(file12,vars,s2,'C3:C22');
xlswrite(file12,meanvr,s2,'C23');
xlswrite(file12,devvar,s2,'C24');

xlswrite(file12,{'Stnd dev'},s2,'D2');
xlswrite(file12,stdpro,s2,'D3:D22');
xlswrite(file12,meanstd,s2,'D23');
xlswrite(file12,{'maximum'},s2,'E2');
xlswrite(file12,maxs,s2,'E3:E22');
xlswrite(file12,meanmax,s2,'E23');
xlswrite(file12,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B14');
xlswrite(file16,meanvr,s2,'C14');

xlswrite(file16,meanstd,s2,'D14');
xlswrite(file16,meanmax,s2,'E14');
%rfa1000
means=mean(wavepro_FFTrfa1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_FFTrfa1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_FFTrfa1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_FFTrfa1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 1000 stats'};
xlswrite(file13,name,s2,'A1');
xlswrite(file13,{'waveload total'},s2,'D1');
xlswrite(file13,{'sample'},s2,'A2');
xlswrite(file13,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file13,c,s2,'A3:A22');
xlswrite(file13,means,s2,'B3:B22');
xlswrite(file13,meanmean,s2,'B23');
xlswrite(file13,{'mean all'},s2,'A23');
xlswrite(file13,{'STD'},s2,'A24');
xlswrite(file13,devmean,s2,'B24');
xlswrite(file13,{'Variance'},s2,'C2');
xlswrite(file13,vars,s2,'C3:C22');
xlswrite(file13,meanvr,s2,'C23');
xlswrite(file13,devvar,s2,'C24');

xlswrite(file13,{'Stnd dev'},s2,'D2');
xlswrite(file13,stdpro,s2,'D3:D22');
xlswrite(file13,meanstd,s2,'D23');
xlswrite(file13,{'maximum'},s2,'E2');
xlswrite(file13,maxs,s2,'E3:E22');
xlswrite(file13,meanmax,s2,'E23');
xlswrite(file13,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B15');
xlswrite(file16,meanvr,s2,'C15');

xlswrite(file16,meanstd,s2,'D15');
xlswrite(file16,meanmax,s2,'E15');
%grid 200 5 meter x-node dx
means=mean(wavepro_grid200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_grid200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_grid200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_grid200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200 5 stats'};
xlswrite(file14,name,s2,'A1');
xlswrite(file14,{'waveload total'},s2,'D1');
xlswrite(file14,{'sample'},s2,'A2');
xlswrite(file14,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file14,c,s2,'A3:A22');
xlswrite(file14,means,s2,'B3:B22');
xlswrite(file14,meanmean,s2,'B23');
xlswrite(file14,{'mean all'},s2,'A23');
xlswrite(file14,{'STD'},s2,'A24');
xlswrite(file14,devmean,s2,'B24');
xlswrite(file14,{'Variance'},s2,'C2');
xlswrite(file14,vars,s2,'C3:C22');
xlswrite(file14,meanvr,s2,'C23');
xlswrite(file14,devvar,s2,'C24');

xlswrite(file14,{'Stnd dev'},s2,'D2');
xlswrite(file14,stdpro,s2,'D3:D22');
xlswrite(file14,meanstd,s2,'D23');
xlswrite(file14,{'maximum'},s2,'E2');
xlswrite(file14,maxs,s2,'E3:E22');
xlswrite(file14,meanmax,s2,'E23');
xlswrite(file14,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B16');
xlswrite(file16,meanvr,s2,'C16');

xlswrite(file16,meanstd,s2,'D16');
xlswrite(file16,meanmax,s2,'E16');
%grid 200_1 10 m between x nodes
means=mean(wavepro_grid200_1(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(wavepro_grid200_1(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(wavepro_grid200_1(:,2:21))';
meanstd=mean(stdpro);
maxs=max(wavepro_grid200_1(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200_1 10 stats'};
xlswrite(file15,name,s2,'A1');
xlswrite(file15,{'waveload total'},s2,'D1');
xlswrite(file15,{'sample'},s2,'A2');
xlswrite(file15,{'mean'},s2,'B2');
c=[1:1:20]';
xlswrite(file15,c,s2,'A3:A22');
xlswrite(file15,means,s2,'B3:B22');
xlswrite(file15,meanmean,s2,'B23');
xlswrite(file15,{'mean all'},s2,'A23');
xlswrite(file15,{'STD'},s2,'A24');
xlswrite(file15,devmean,s2,'B24');
xlswrite(file15,{'Variance'},s2,'C2');
xlswrite(file15,vars,s2,'C3:C22');
xlswrite(file15,meanvr,s2,'C23');
xlswrite(file15,devvar,s2,'C24');

xlswrite(file15,{'Stnd dev'},s2,'D2');
xlswrite(file15,stdpro,s2,'D3:D22');
xlswrite(file15,meanstd,s2,'D23');
xlswrite(file15,{'maximum'},s2,'E2');
xlswrite(file15,maxs,s2,'E3:E22');
xlswrite(file15,meanmax,s2,'E23');
xlswrite(file15,stdmax,s2,'E24');

xlswrite(file16,meanmean,s2,'B17');
xlswrite(file16,meanvr,s2,'C17');

xlswrite(file16,meanstd,s2,'D17');
xlswrite(file16,meanmax,s2,'E17');

% acceleration top tower, all methods
% create a collective spreadsheet for main data
xlswrite(file16,{'Collected stats accel top tower'},s3,'A1');
xlswrite(file16,{'method'},s3,'A2');
xlswrite(file16,{file1 file2 file3 file4 file5 file6, file7 file8 file9 file10 file11 file12 file13 file14 file15}',s3,'A3');
xlswrite(file16,{'mean value'},s3,'B2');
xlswrite(file16,{'variance'},s3,'C2');

xlswrite(file16,{'Stnd dev'},s3,'D2');
xlswrite(file16,{'maximum'},s3,'E2');


%calc statistics and write to excel spreadsheets:


means=mean(accpro_FFT1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFT1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFT1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFT1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 1000 stats'};
xlswrite(file1,name,s3,'A1');
xlswrite(file1,{'acc top tower'},s3,'D1');
xlswrite(file1,{'sample'},s3,'A2');
xlswrite(file1,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file1,c,s3,'A3:A22');
xlswrite(file1,means,s3,'B3:B22');
xlswrite(file1,meanmean,s3,'B23');
xlswrite(file1,{'mean all'},s3,'A23');
xlswrite(file1,{'STD'},s3,'A24');
xlswrite(file1,devmean,s3,'B24');
xlswrite(file1,{'Variance'},s3,'C2');
xlswrite(file1,vars,s3,'C3:C22');
xlswrite(file1,meanvr,s3,'C23');
xlswrite(file1,devvar,s3,'C24');

xlswrite(file1,{'Stnd dev'},s3,'D2');
xlswrite(file1,stdpro,s3,'D3:D22');
xlswrite(file1,meanstd,s3,'D23');
xlswrite(file1,{'maximum'},s3,'E2');
xlswrite(file1,maxs,s3,'E3:E22');
xlswrite(file1,meanmax,s3,'E23');
xlswrite(file1,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B3');
xlswrite(file16,meanvr,s3,'C3');
xlswrite(file16,meanstd,s3,'D3');
xlswrite(file16,meanmax,s3,'E3');
%FFT500
means=mean(accpro_FFT500(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFT500(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFT500(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFT500(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 500 stats'};
xlswrite(file2,name,s3,'A1');
xlswrite(file2,{'acc top tower'},s3,'D1');
xlswrite(file2,{'sample'},s3,'A2');
xlswrite(file2,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file2,c,s3,'A3:A22');
xlswrite(file2,means,s3,'B3:B22');
xlswrite(file2,meanmean,s3,'B23');
xlswrite(file2,{'mean all'},s3,'A23');
xlswrite(file2,{'STD'},s3,'A24');
xlswrite(file2,devmean,s3,'B24');
xlswrite(file2,{'Variance'},s3,'C2');
xlswrite(file2,vars,s3,'C3:C22');
xlswrite(file2,meanvr,s3,'C23');
xlswrite(file2,devvar,s3,'C24');

xlswrite(file2,{'Stnd dev'},s3,'D2');
xlswrite(file2,stdpro,s3,'D3:D22');
xlswrite(file2,meanstd,s3,'D23');
xlswrite(file2,{'maximum'},s3,'E2');
xlswrite(file2,maxs,s3,'E3:E22');
xlswrite(file2,meanmax,s3,'E23');
xlswrite(file2,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B4');
xlswrite(file16,meanvr,s3,'C4');

xlswrite(file16,meanstd,s3,'D4');
xlswrite(file16,meanmax,s3,'E4');
%EAP 75
means=mean(accpro_EAP75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_EAP75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_EAP75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_EAP75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 75 stats'};
xlswrite(file3,name,s3,'A1');
xlswrite(file3,{'acc top tower'},s3,'D1');
xlswrite(file3,{'sample'},s3,'A2');
xlswrite(file3,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file3,c,s3,'A3:A22');
xlswrite(file3,means,s3,'B3:B22');
xlswrite(file3,meanmean,s3,'B23');
xlswrite(file3,{'mean all'},s3,'A23');
xlswrite(file3,{'STD'},s3,'A24');
xlswrite(file3,devmean,s3,'B24');
xlswrite(file3,{'Variance'},s3,'C2');
xlswrite(file3,vars,s3,'C3:C22');
xlswrite(file3,meanvr,s3,'C23');
xlswrite(file3,devvar,s3,'C24');

xlswrite(file3,{'Stnd dev'},s3,'D2');
xlswrite(file3,stdpro,s3,'D3:D22');
xlswrite(file3,meanstd,s3,'D23');
xlswrite(file3,{'maximum'},s3,'E2');
xlswrite(file3,maxs,s3,'E3:E22');
xlswrite(file3,meanmax,s3,'E23');
xlswrite(file3,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B5');
xlswrite(file16,meanvr,s3,'C5');

xlswrite(file16,meanstd,s3,'D5');
xlswrite(file16,meanmax,s3,'E5');
%EAP100
means=mean(accpro_EAP100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_EAP100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_EAP100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_EAP100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 100 stats'};
xlswrite(file4,name,s3,'A1');
xlswrite(file4,{'acc top tower'},s3,'D1');
xlswrite(file4,{'sample'},s3,'A2');
xlswrite(file4,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file4,c,s3,'A3:A22');
xlswrite(file4,means,s3,'B3:B22');
xlswrite(file4,meanmean,s3,'B23');
xlswrite(file4,{'mean all'},s3,'A23');
xlswrite(file4,{'STD'},s3,'A24');
xlswrite(file4,devmean,s3,'B24');
xlswrite(file4,{'Variance'},s3,'C2');
xlswrite(file4,vars,s3,'C3:C22');
xlswrite(file4,meanvr,s3,'C23');
xlswrite(file4,devvar,s3,'C24');

xlswrite(file4,{'Stnd dev'},s3,'D2');
xlswrite(file4,stdpro,s3,'D3:D22');
xlswrite(file4,meanstd,s3,'D23');
xlswrite(file4,{'maximum'},s3,'E2');
xlswrite(file4,maxs,s3,'E3:E22');
xlswrite(file4,meanmax,s3,'E23');
xlswrite(file4,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B6');
xlswrite(file16,meanvr,s3,'C6');

xlswrite(file16,meanstd,s3,'D6');
xlswrite(file16,meanmax,s3,'E6');
%EAP200
means=mean(accpro_EAP200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_EAP200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_EAP200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_EAP200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 200 stats'};
xlswrite(file5,name,s3,'A1');
xlswrite(file5,{'acc top tower'},s3,'D1');
xlswrite(file5,{'sample'},s3,'A2');
xlswrite(file5,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file5,c,s3,'A3:A22');
xlswrite(file5,means,s3,'B3:B22');
xlswrite(file5,meanmean,s3,'B23');
xlswrite(file5,{'mean all'},s3,'A23');
xlswrite(file5,{'STD'},s3,'A24');
xlswrite(file5,devmean,s3,'B24');
xlswrite(file5,{'Variance'},s3,'C2');
xlswrite(file5,vars,s3,'C3:C22');
xlswrite(file5,meanvr,s3,'C23');
xlswrite(file5,devvar,s3,'C24');

xlswrite(file5,{'Stnd dev'},s3,'D2');
xlswrite(file5,stdpro,s3,'D3:D22');
xlswrite(file5,meanstd,s3,'D23');
xlswrite(file5,{'maximum'},s3,'E2');
xlswrite(file5,maxs,s3,'E3:E22');
xlswrite(file5,meanmax,s3,'E23');
xlswrite(file5,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B7');
xlswrite(file16,meanvr,s3,'C7');

xlswrite(file16,meanstd,s3,'D7');
xlswrite(file16,meanmax,s3,'E7');
% FFTrf 75
means=mean(accpro_FFTrf75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFTrf75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFTrf75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFTrf75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 75 stats'};
xlswrite(file6,name,s3,'A1');
xlswrite(file6,{'acc top tower'},s3,'D1');
xlswrite(file6,{'sample'},s3,'A2');
xlswrite(file6,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file6,c,s3,'A3:A22');
xlswrite(file6,means,s3,'B3:B22');
xlswrite(file6,meanmean,s3,'B23');
xlswrite(file6,{'mean all'},s3,'A23');
xlswrite(file6,{'STD'},s3,'A24');
xlswrite(file6,devmean,s3,'B24');
xlswrite(file6,{'Variance'},s3,'C2');
xlswrite(file6,vars,s3,'C3:C22');
xlswrite(file6,meanvr,s3,'C23');
xlswrite(file6,devvar,s3,'C24');

xlswrite(file6,{'Stnd dev'},s3,'D2');
xlswrite(file6,stdpro,s3,'D3:D22');
xlswrite(file6,meanstd,s3,'D23');
xlswrite(file6,{'maximum'},s3,'E2');
xlswrite(file6,maxs,s3,'E3:E22');
xlswrite(file6,meanmax,s3,'E23');
xlswrite(file6,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B8');
xlswrite(file16,meanvr,s3,'C8');

xlswrite(file16,meanstd,s3,'D8');
xlswrite(file16,meanmax,s3,'E8');
% FFTrf 100
means=mean(accpro_FFTrf100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFTrf100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFTrf100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFTrf100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 100 stats'};
xlswrite(file7,name,s3,'A1');
xlswrite(file7,{'acc top tower'},s3,'D1');
xlswrite(file7,{'sample'},s3,'A2');
xlswrite(file7,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file7,c,s3,'A3:A22');
xlswrite(file7,means,s3,'B3:B22');
xlswrite(file7,meanmean,s3,'B23');
xlswrite(file7,{'mean all'},s3,'A23');
xlswrite(file7,{'STD'},s3,'A24');
xlswrite(file7,devmean,s3,'B24');
xlswrite(file7,{'Variance'},s3,'C2');
xlswrite(file7,vars,s3,'C3:C22');
xlswrite(file7,meanvr,s3,'C23');
xlswrite(file7,devvar,s3,'C24');

xlswrite(file7,{'Stnd dev'},s3,'D2');
xlswrite(file7,stdpro,s3,'D3:D22');
xlswrite(file7,meanstd,s3,'D23');
xlswrite(file7,{'maximum'},s3,'E2');
xlswrite(file7,maxs,s3,'E3:E22');
xlswrite(file7,meanmax,s3,'E23');
xlswrite(file7,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B9');
xlswrite(file16,meanvr,s3,'C9');

xlswrite(file16,meanstd,s3,'D9');
xlswrite(file16,meanmax,s3,'E9');
% FFTrf200
means=mean(accpro_FFTrf200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFTrf200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFTrf200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFTrf200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 200 stats'};
xlswrite(file8,name,s3,'A1');
xlswrite(file8,{'acc top tower'},s3,'D1');
xlswrite(file8,{'sample'},s3,'A2');
xlswrite(file8,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file8,c,s3,'A3:A22');
xlswrite(file8,means,s3,'B3:B22');
xlswrite(file8,meanmean,s3,'B23');
xlswrite(file8,{'mean all'},s3,'A23');
xlswrite(file8,{'STD'},s3,'A24');
xlswrite(file8,devmean,s3,'B24');
xlswrite(file8,{'Variance'},s3,'C2');
xlswrite(file8,vars,s3,'C3:C22');
xlswrite(file8,meanvr,s3,'C23');
xlswrite(file8,devvar,s3,'C24');

xlswrite(file8,{'Stnd dev'},s3,'D2');
xlswrite(file8,stdpro,s3,'D3:D22');
xlswrite(file8,meanstd,s3,'D23');
xlswrite(file8,{'maximum'},s3,'E2');
xlswrite(file8,maxs,s3,'E3:E22');
xlswrite(file8,meanmax,s3,'E23');
xlswrite(file8,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B10');
xlswrite(file16,meanvr,s3,'C10');

xlswrite(file16,meanstd,s3,'D10');
xlswrite(file16,meanmax,s3,'E10');
%FFTrf1000
means=mean(accpro_FFTrf1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFTrf1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFTrf1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFTrf1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 1000 stats'};
xlswrite(file9,name,s3,'A1');
xlswrite(file9,{'acc top tower'},s3,'D1');
xlswrite(file9,{'sample'},s3,'A2');
xlswrite(file9,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file9,c,s3,'A3:A22');
xlswrite(file9,means,s3,'B3:B22');
xlswrite(file9,meanmean,s3,'B23');
xlswrite(file9,{'mean all'},s3,'A23');
xlswrite(file9,{'STD'},s3,'A24');
xlswrite(file9,devmean,s3,'B24');
xlswrite(file9,{'Variance'},s3,'C2');
xlswrite(file9,vars,s3,'C3:C22');
xlswrite(file9,meanvr,s3,'C23');
xlswrite(file9,devvar,s3,'C24');

xlswrite(file9,{'Stnd dev'},s3,'D2');
xlswrite(file9,stdpro,s3,'D3:D22');
xlswrite(file9,meanstd,s3,'D23');
xlswrite(file9,{'maximum'},s3,'E2');
xlswrite(file9,maxs,s3,'E3:E22');
xlswrite(file9,meanmax,s3,'E23');
xlswrite(file9,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B11');
xlswrite(file16,meanvr,s3,'C11');

xlswrite(file16,meanstd,s3,'D11');
xlswrite(file16,meanmax,s3,'E11');
%FFTrfa 75
means=mean(accpro_FFTrfa75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFTrfa75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFTrfa75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFTrfa75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 75 stats'};
xlswrite(file10,name,s3,'A1');
xlswrite(file10,{'acc top tower'},s3,'D1');
xlswrite(file10,{'sample'},s3,'A2');
xlswrite(file10,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file10,c,s3,'A3:A22');
xlswrite(file10,means,s3,'B3:B22');
xlswrite(file10,meanmean,s3,'B23');
xlswrite(file10,{'mean all'},s3,'A23');
xlswrite(file10,{'STD'},s3,'A24');
xlswrite(file10,devmean,s3,'B24');
xlswrite(file10,{'Variance'},s3,'C2');
xlswrite(file10,vars,s3,'C3:C22');
xlswrite(file10,meanvr,s3,'C23');
xlswrite(file10,devvar,s3,'C24');


xlswrite(file10,{'Stnd dev'},s3,'D2');
xlswrite(file10,stdpro,s3,'D3:D22');
xlswrite(file10,meanstd,s3,'D23');
xlswrite(file10,{'maximum'},s3,'E2');
xlswrite(file10,maxs,s3,'E3:E22');
xlswrite(file10,meanmax,s3,'E23');
xlswrite(file10,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B12');
xlswrite(file16,meanvr,s3,'C12');

xlswrite(file16,meanstd,s3,'D12');
xlswrite(file16,meanmax,s3,'E12');
%FFTrfa100
means=mean(accpro_FFTrfa100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFTrfa100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFTrfa100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFTrfa100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 100 stats'};
xlswrite(file11,name,s3,'A1');
xlswrite(file11,{'acc top tower'},s3,'D1');
xlswrite(file11,{'sample'},s3,'A2');
xlswrite(file11,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file11,c,s3,'A3:A22');
xlswrite(file11,means,s3,'B3:B22');
xlswrite(file11,meanmean,s3,'B23');
xlswrite(file11,{'mean all'},s3,'A23');
xlswrite(file11,{'STD'},s3,'A24');
xlswrite(file11,devmean,s3,'B24');
xlswrite(file11,{'Variance'},s3,'C2');
xlswrite(file11,vars,s3,'C3:C22');
xlswrite(file11,meanvr,s3,'C23');
xlswrite(file11,devvar,s3,'C24');
xlswrite(file11,{'Stnd dev'},s3,'D2');
xlswrite(file11,stdpro,s3,'D3:D22');
xlswrite(file11,meanstd,s3,'D23');
xlswrite(file11,{'maximum'},s3,'E2');
xlswrite(file11,maxs,s3,'E3:E22');
xlswrite(file11,meanmax,s3,'E23');
xlswrite(file11,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B13');
xlswrite(file16,meanvr,s3,'C13');

xlswrite(file16,meanstd,s3,'D13');
xlswrite(file16,meanmax,s3,'E13');
%rfa200
means=mean(accpro_FFTrfa200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFTrfa200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFTrfa200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFTrfa200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 200 stats'};
xlswrite(file12,name,s3,'A1');
xlswrite(file12,{'acc top tower'},s3,'D1');
xlswrite(file12,{'sample'},s3,'A2');
xlswrite(file12,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file12,c,s3,'A3:A22');
xlswrite(file12,means,s3,'B3:B22');
xlswrite(file12,meanmean,s3,'B23');
xlswrite(file12,{'mean all'},s3,'A23');
xlswrite(file12,{'STD'},s3,'A24');
xlswrite(file12,devmean,s3,'B24');
xlswrite(file12,{'Variance'},s3,'C2');
xlswrite(file12,vars,s3,'C3:C22');
xlswrite(file12,meanvr,s3,'C23');
xlswrite(file12,devvar,s3,'C24');

xlswrite(file12,{'Stnd dev'},s3,'D2');
xlswrite(file12,stdpro,s3,'D3:D22');
xlswrite(file12,meanstd,s3,'D23');
xlswrite(file12,{'maximum'},s3,'E2');
xlswrite(file12,maxs,s3,'E3:E22');
xlswrite(file12,meanmax,s3,'E23');
xlswrite(file12,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B14');
xlswrite(file16,meanvr,s3,'C14');

xlswrite(file16,meanstd,s3,'D14');
xlswrite(file16,meanmax,s3,'E14');
%rfa1000
means=mean(accpro_FFTrfa1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_FFTrfa1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_FFTrfa1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_FFTrfa1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 1000 stats'};
xlswrite(file13,name,s3,'A1');
xlswrite(file13,{'acc top tower'},s3,'D1');
xlswrite(file13,{'sample'},s3,'A2');
xlswrite(file13,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file13,c,s3,'A3:A22');
xlswrite(file13,means,s3,'B3:B22');
xlswrite(file13,meanmean,s3,'B23');
xlswrite(file13,{'mean all'},s3,'A23');
xlswrite(file13,{'STD'},s3,'A24');
xlswrite(file13,devmean,s3,'B24');
xlswrite(file13,{'Variance'},s3,'C2');
xlswrite(file13,vars,s3,'C3:C22');
xlswrite(file13,meanvr,s3,'C23');
xlswrite(file13,devvar,s3,'C24');

xlswrite(file13,{'Stnd dev'},s3,'D2');
xlswrite(file13,stdpro,s3,'D3:D22');
xlswrite(file13,meanstd,s3,'D23');
xlswrite(file13,{'maximum'},s3,'E2');
xlswrite(file13,maxs,s3,'E3:E22');
xlswrite(file13,meanmax,s3,'E23');
xlswrite(file13,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B15');
xlswrite(file16,meanvr,s3,'C15');

xlswrite(file16,meanstd,s3,'D15');
xlswrite(file16,meanmax,s3,'E15');
%grid 200 5 meter x-node dx
means=mean(accpro_grid200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_grid200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_grid200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_grid200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200 5 stats'};
xlswrite(file14,name,s3,'A1');
xlswrite(file14,{'acc top tower'},s3,'D1');
xlswrite(file14,{'sample'},s3,'A2');
xlswrite(file14,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file14,c,s3,'A3:A22');
xlswrite(file14,means,s3,'B3:B22');
xlswrite(file14,meanmean,s3,'B23');
xlswrite(file14,{'mean all'},s3,'A23');
xlswrite(file14,{'STD'},s3,'A24');
xlswrite(file14,devmean,s3,'B24');
xlswrite(file14,{'Variance'},s3,'C2');
xlswrite(file14,vars,s3,'C3:C22');
xlswrite(file14,meanvr,s3,'C23');
xlswrite(file14,devvar,s3,'C24');

xlswrite(file14,{'Stnd dev'},s3,'D2');
xlswrite(file14,stdpro,s3,'D3:D22');
xlswrite(file14,meanstd,s3,'D23');
xlswrite(file14,{'maximum'},s3,'E2');
xlswrite(file14,maxs,s3,'E3:E22');
xlswrite(file14,meanmax,s3,'E23');
xlswrite(file14,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B16');
xlswrite(file16,meanvr,s3,'C16');

xlswrite(file16,meanstd,s3,'D16');
xlswrite(file16,meanmax,s3,'E16');
%grid 200_1 10 m between x nodes
means=mean(accpro_grid200_1(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(accpro_grid200_1(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(accpro_grid200_1(:,2:21))';
meanstd=mean(stdpro);
maxs=max(accpro_grid200_1(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200_1 10 stats'};
xlswrite(file15,name,s3,'A1');
xlswrite(file15,{'acc top tower'},s3,'D1');
xlswrite(file15,{'sample'},s3,'A2');
xlswrite(file15,{'mean'},s3,'B2');
c=[1:1:20]';
xlswrite(file15,c,s3,'A3:A22');
xlswrite(file15,means,s3,'B3:B22');
xlswrite(file15,meanmean,s3,'B23');
xlswrite(file15,{'mean all'},s3,'A23');
xlswrite(file15,{'STD'},s3,'A24');
xlswrite(file15,devmean,s3,'B24');
xlswrite(file15,{'Variance'},s3,'C2');
xlswrite(file15,vars,s3,'C3:C22');
xlswrite(file15,meanvr,s3,'C23');
xlswrite(file15,devvar,s3,'C24');

xlswrite(file15,{'Stnd dev'},s3,'D2');
xlswrite(file15,stdpro,s3,'D3:D22');
xlswrite(file15,meanstd,s3,'D23');
xlswrite(file15,{'maximum'},s3,'E2');
xlswrite(file15,maxs,s3,'E3:E22');
xlswrite(file15,meanmax,s3,'E23');
xlswrite(file15,stdmax,s3,'E24');

xlswrite(file16,meanmean,s3,'B17');
xlswrite(file16,meanvr,s3,'C17');

xlswrite(file16,meanstd,s3,'D17');
xlswrite(file16,meanmax,s3,'E17');


% displacement top of tower

% create a collective spreadsheet for main data
xlswrite(file16,{'Collected stats disp top tower'},s4,'A1');
xlswrite(file16,{'method'},s4,'A2');
xlswrite(file16,{file1 file2 file3 file4 file5 file6, file7 file8 file9 file10 file11 file12 file13 file14 file15}',s4,'A3');
xlswrite(file16,{'mean value'},s4,'B2');
xlswrite(file16,{'variance'},s4,'C2');

xlswrite(file16,{'Stnd dev'},s4,'D2');
xlswrite(file16,{'maximum'},s4,'E2');


%calc statistics and write to excel spreadsheets:


means=mean(dispro_FFT1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFT1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFT1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFT1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 1000 stats'};
xlswrite(file1,name,s4,'A1');
xlswrite(file1,{'disp top tower'},s4,'D1');
xlswrite(file1,{'sample'},s4,'A2');
xlswrite(file1,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file1,c,s4,'A3:A22');
xlswrite(file1,means,s4,'B3:B22');
xlswrite(file1,meanmean,s4,'B23');
xlswrite(file1,{'mean all'},s4,'A23');
xlswrite(file1,{'STD'},s4,'A24');
xlswrite(file1,devmean,s4,'B24');
xlswrite(file1,{'Variance'},s4,'C2');
xlswrite(file1,vars,s4,'C3:C22');
xlswrite(file1,meanvr,s4,'C23');
xlswrite(file1,devvar,s4,'C24');

xlswrite(file1,{'Stnd dev'},s4,'D2');
xlswrite(file1,stdpro,s4,'D3:D22');
xlswrite(file1,meanstd,s4,'D23');
xlswrite(file1,{'maximum'},s4,'E2');
xlswrite(file1,maxs,s4,'E3:E22');
xlswrite(file1,meanmax,s4,'E23');
xlswrite(file1,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B3');
xlswrite(file16,meanvr,s4,'C3');
xlswrite(file16,meanstd,s4,'D3');
xlswrite(file16,meanmax,s4,'E3');
%FFT500
means=mean(dispro_FFT500(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFT500(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFT500(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFT500(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 500 stats'};
xlswrite(file2,name,s4,'A1');
xlswrite(file2,{'disp top tower'},s4,'D1');
xlswrite(file2,{'sample'},s4,'A2');
xlswrite(file2,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file2,c,s4,'A3:A22');
xlswrite(file2,means,s4,'B3:B22');
xlswrite(file2,meanmean,s4,'B23');
xlswrite(file2,{'mean all'},s4,'A23');
xlswrite(file2,{'STD'},s4,'A24');
xlswrite(file2,devmean,s4,'B24');
xlswrite(file2,{'Variance'},s4,'C2');
xlswrite(file2,vars,s4,'C3:C22');
xlswrite(file2,meanvr,s4,'C23');
xlswrite(file2,devvar,s4,'C24');

xlswrite(file2,{'Stnd dev'},s4,'D2');
xlswrite(file2,stdpro,s4,'D3:D22');
xlswrite(file2,meanstd,s4,'D23');
xlswrite(file2,{'maximum'},s4,'E2');
xlswrite(file2,maxs,s4,'E3:E22');
xlswrite(file2,meanmax,s4,'E23');
xlswrite(file2,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B4');
xlswrite(file16,meanvr,s4,'C4');

xlswrite(file16,meanstd,s4,'D4');
xlswrite(file16,meanmax,s4,'E4');
%EAP 75
means=mean(dispro_EAP75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_EAP75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_EAP75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_EAP75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 75 stats'};
xlswrite(file3,name,s4,'A1');
xlswrite(file3,{'disp top tower'},s4,'D1');
xlswrite(file3,{'sample'},s4,'A2');
xlswrite(file3,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file3,c,s4,'A3:A22');
xlswrite(file3,means,s4,'B3:B22');
xlswrite(file3,meanmean,s4,'B23');
xlswrite(file3,{'mean all'},s4,'A23');
xlswrite(file3,{'STD'},s4,'A24');
xlswrite(file3,devmean,s4,'B24');
xlswrite(file3,{'Variance'},s4,'C2');
xlswrite(file3,vars,s4,'C3:C22');
xlswrite(file3,meanvr,s4,'C23');
xlswrite(file3,devvar,s4,'C24');

xlswrite(file3,{'Stnd dev'},s4,'D2');
xlswrite(file3,stdpro,s4,'D3:D22');
xlswrite(file3,meanstd,s4,'D23');
xlswrite(file3,{'maximum'},s4,'E2');
xlswrite(file3,maxs,s4,'E3:E22');
xlswrite(file3,meanmax,s4,'E23');
xlswrite(file3,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B5');
xlswrite(file16,meanvr,s4,'C5');

xlswrite(file16,meanstd,s4,'D5');
xlswrite(file16,meanmax,s4,'E5');
%EAP100
means=mean(dispro_EAP100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_EAP100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_EAP100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_EAP100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 100 stats'};
xlswrite(file4,name,s4,'A1');
xlswrite(file4,{'disp top tower'},s4,'D1');
xlswrite(file4,{'sample'},s4,'A2');
xlswrite(file4,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file4,c,s4,'A3:A22');
xlswrite(file4,means,s4,'B3:B22');
xlswrite(file4,meanmean,s4,'B23');
xlswrite(file4,{'mean all'},s4,'A23');
xlswrite(file4,{'STD'},s4,'A24');
xlswrite(file4,devmean,s4,'B24');
xlswrite(file4,{'Variance'},s4,'C2');
xlswrite(file4,vars,s4,'C3:C22');
xlswrite(file4,meanvr,s4,'C23');
xlswrite(file4,devvar,s4,'C24');

xlswrite(file4,{'Stnd dev'},s4,'D2');
xlswrite(file4,stdpro,s4,'D3:D22');
xlswrite(file4,meanstd,s4,'D23');
xlswrite(file4,{'maximum'},s4,'E2');
xlswrite(file4,maxs,s4,'E3:E22');
xlswrite(file4,meanmax,s4,'E23');
xlswrite(file4,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B6');
xlswrite(file16,meanvr,s4,'C6');

xlswrite(file16,meanstd,s4,'D6');
xlswrite(file16,meanmax,s4,'E6');
%EAP200
means=mean(dispro_EAP200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_EAP200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_EAP200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_EAP200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 200 stats'};
xlswrite(file5,name,s4,'A1');
xlswrite(file5,{'disp top tower'},s4,'D1');
xlswrite(file5,{'sample'},s4,'A2');
xlswrite(file5,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file5,c,s4,'A3:A22');
xlswrite(file5,means,s4,'B3:B22');
xlswrite(file5,meanmean,s4,'B23');
xlswrite(file5,{'mean all'},s4,'A23');
xlswrite(file5,{'STD'},s4,'A24');
xlswrite(file5,devmean,s4,'B24');
xlswrite(file5,{'Variance'},s4,'C2');
xlswrite(file5,vars,s4,'C3:C22');
xlswrite(file5,meanvr,s4,'C23');
xlswrite(file5,devvar,s4,'C24');

xlswrite(file5,{'Stnd dev'},s4,'D2');
xlswrite(file5,stdpro,s4,'D3:D22');
xlswrite(file5,meanstd,s4,'D23');
xlswrite(file5,{'maximum'},s4,'E2');
xlswrite(file5,maxs,s4,'E3:E22');
xlswrite(file5,meanmax,s4,'E23');
xlswrite(file5,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B7');
xlswrite(file16,meanvr,s4,'C7');

xlswrite(file16,meanstd,s4,'D7');
xlswrite(file16,meanmax,s4,'E7');
% FFTrf 75
means=mean(dispro_FFTrf75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFTrf75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFTrf75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFTrf75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 75 stats'};
xlswrite(file6,name,s4,'A1');
xlswrite(file6,{'disp top tower'},s4,'D1');
xlswrite(file6,{'sample'},s4,'A2');
xlswrite(file6,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file6,c,s4,'A3:A22');
xlswrite(file6,means,s4,'B3:B22');
xlswrite(file6,meanmean,s4,'B23');
xlswrite(file6,{'mean all'},s4,'A23');
xlswrite(file6,{'STD'},s4,'A24');
xlswrite(file6,devmean,s4,'B24');
xlswrite(file6,{'Variance'},s4,'C2');
xlswrite(file6,vars,s4,'C3:C22');
xlswrite(file6,meanvr,s4,'C23');
xlswrite(file6,devvar,s4,'C24');

xlswrite(file6,{'Stnd dev'},s4,'D2');
xlswrite(file6,stdpro,s4,'D3:D22');
xlswrite(file6,meanstd,s4,'D23');
xlswrite(file6,{'maximum'},s4,'E2');
xlswrite(file6,maxs,s4,'E3:E22');
xlswrite(file6,meanmax,s4,'E23');
xlswrite(file6,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B8');
xlswrite(file16,meanvr,s4,'C8');

xlswrite(file16,meanstd,s4,'D8');
xlswrite(file16,meanmax,s4,'E8');
% FFTrf 100
means=mean(dispro_FFTrf100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFTrf100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFTrf100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFTrf100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 100 stats'};
xlswrite(file7,name,s4,'A1');
xlswrite(file7,{'disp top tower'},s4,'D1');
xlswrite(file7,{'sample'},s4,'A2');
xlswrite(file7,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file7,c,s4,'A3:A22');
xlswrite(file7,means,s4,'B3:B22');
xlswrite(file7,meanmean,s4,'B23');
xlswrite(file7,{'mean all'},s4,'A23');
xlswrite(file7,{'STD'},s4,'A24');
xlswrite(file7,devmean,s4,'B24');
xlswrite(file7,{'Variance'},s4,'C2');
xlswrite(file7,vars,s4,'C3:C22');
xlswrite(file7,meanvr,s4,'C23');
xlswrite(file7,devvar,s4,'C24');

xlswrite(file7,{'Stnd dev'},s4,'D2');
xlswrite(file7,stdpro,s4,'D3:D22');
xlswrite(file7,meanstd,s4,'D23');
xlswrite(file7,{'maximum'},s4,'E2');
xlswrite(file7,maxs,s4,'E3:E22');
xlswrite(file7,meanmax,s4,'E23');
xlswrite(file7,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B9');
xlswrite(file16,meanvr,s4,'C9');

xlswrite(file16,meanstd,s4,'D9');
xlswrite(file16,meanmax,s4,'E9');
% FFTrf200
means=mean(dispro_FFTrf200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFTrf200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFTrf200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFTrf200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 200 stats'};
xlswrite(file8,name,s4,'A1');
xlswrite(file8,{'disp top tower'},s4,'D1');
xlswrite(file8,{'sample'},s4,'A2');
xlswrite(file8,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file8,c,s4,'A3:A22');
xlswrite(file8,means,s4,'B3:B22');
xlswrite(file8,meanmean,s4,'B23');
xlswrite(file8,{'mean all'},s4,'A23');
xlswrite(file8,{'STD'},s4,'A24');
xlswrite(file8,devmean,s4,'B24');
xlswrite(file8,{'Variance'},s4,'C2');
xlswrite(file8,vars,s4,'C3:C22');
xlswrite(file8,meanvr,s4,'C23');
xlswrite(file8,devvar,s4,'C24');

xlswrite(file8,{'Stnd dev'},s4,'D2');
xlswrite(file8,stdpro,s4,'D3:D22');
xlswrite(file8,meanstd,s4,'D23');
xlswrite(file8,{'maximum'},s4,'E2');
xlswrite(file8,maxs,s4,'E3:E22');
xlswrite(file8,meanmax,s4,'E23');
xlswrite(file8,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B10');
xlswrite(file16,meanvr,s4,'C10');

xlswrite(file16,meanstd,s4,'D10');
xlswrite(file16,meanmax,s4,'E10');
%FFTrf1000
means=mean(dispro_FFTrf1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFTrf1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFTrf1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFTrf1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 1000 stats'};
xlswrite(file9,name,s4,'A1');
xlswrite(file9,{'disp top tower'},s4,'D1');
xlswrite(file9,{'sample'},s4,'A2');
xlswrite(file9,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file9,c,s4,'A3:A22');
xlswrite(file9,means,s4,'B3:B22');
xlswrite(file9,meanmean,s4,'B23');
xlswrite(file9,{'mean all'},s4,'A23');
xlswrite(file9,{'STD'},s4,'A24');
xlswrite(file9,devmean,s4,'B24');
xlswrite(file9,{'Variance'},s4,'C2');
xlswrite(file9,vars,s4,'C3:C22');
xlswrite(file9,meanvr,s4,'C23');
xlswrite(file9,devvar,s4,'C24');

xlswrite(file9,{'Stnd dev'},s4,'D2');
xlswrite(file9,stdpro,s4,'D3:D22');
xlswrite(file9,meanstd,s4,'D23');
xlswrite(file9,{'maximum'},s4,'E2');
xlswrite(file9,maxs,s4,'E3:E22');
xlswrite(file9,meanmax,s4,'E23');
xlswrite(file9,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B11');
xlswrite(file16,meanvr,s4,'C11');

xlswrite(file16,meanstd,s4,'D11');
xlswrite(file16,meanmax,s4,'E11');
%FFTrfa 75
means=mean(dispro_FFTrfa75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFTrfa75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFTrfa75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFTrfa75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 75 stats'};
xlswrite(file10,name,s4,'A1');
xlswrite(file10,{'disp top tower'},s4,'D1');
xlswrite(file10,{'sample'},s4,'A2');
xlswrite(file10,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file10,c,s4,'A3:A22');
xlswrite(file10,means,s4,'B3:B22');
xlswrite(file10,meanmean,s4,'B23');
xlswrite(file10,{'mean all'},s4,'A23');
xlswrite(file10,{'STD'},s4,'A24');
xlswrite(file10,devmean,s4,'B24');
xlswrite(file10,{'Variance'},s4,'C2');
xlswrite(file10,vars,s4,'C3:C22');
xlswrite(file10,meanvr,s4,'C23');
xlswrite(file10,devvar,s4,'C24');


xlswrite(file10,{'Stnd dev'},s4,'D2');
xlswrite(file10,stdpro,s4,'D3:D22');
xlswrite(file10,meanstd,s4,'D23');
xlswrite(file10,{'maximum'},s4,'E2');
xlswrite(file10,maxs,s4,'E3:E22');
xlswrite(file10,meanmax,s4,'E23');
xlswrite(file10,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B12');
xlswrite(file16,meanvr,s4,'C12');

xlswrite(file16,meanstd,s4,'D12');
xlswrite(file16,meanmax,s4,'E12');
%FFTrfa100
means=mean(dispro_FFTrfa100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFTrfa100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFTrfa100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFTrfa100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 100 stats'};
xlswrite(file11,name,s4,'A1');
xlswrite(file11,{'disp top tower'},s4,'D1');
xlswrite(file11,{'sample'},s4,'A2');
xlswrite(file11,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file11,c,s4,'A3:A22');
xlswrite(file11,means,s4,'B3:B22');
xlswrite(file11,meanmean,s4,'B23');
xlswrite(file11,{'mean all'},s4,'A23');
xlswrite(file11,{'STD'},s4,'A24');
xlswrite(file11,devmean,s4,'B24');
xlswrite(file11,{'Variance'},s4,'C2');
xlswrite(file11,vars,s4,'C3:C22');
xlswrite(file11,meanvr,s4,'C23');
xlswrite(file11,devvar,s4,'C24');
xlswrite(file11,{'Stnd dev'},s4,'D2');
xlswrite(file11,stdpro,s4,'D3:D22');
xlswrite(file11,meanstd,s4,'D23');
xlswrite(file11,{'maximum'},s4,'E2');
xlswrite(file11,maxs,s4,'E3:E22');
xlswrite(file11,meanmax,s4,'E23');
xlswrite(file11,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B13');
xlswrite(file16,meanvr,s4,'C13');

xlswrite(file16,meanstd,s4,'D13');
xlswrite(file16,meanmax,s4,'E13');
%rfa200
means=mean(dispro_FFTrfa200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFTrfa200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFTrfa200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFTrfa200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 200 stats'};
xlswrite(file12,name,s4,'A1');
xlswrite(file12,{'disp top tower'},s4,'D1');
xlswrite(file12,{'sample'},s4,'A2');
xlswrite(file12,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file12,c,s4,'A3:A22');
xlswrite(file12,means,s4,'B3:B22');
xlswrite(file12,meanmean,s4,'B23');
xlswrite(file12,{'mean all'},s4,'A23');
xlswrite(file12,{'STD'},s4,'A24');
xlswrite(file12,devmean,s4,'B24');
xlswrite(file12,{'Variance'},s4,'C2');
xlswrite(file12,vars,s4,'C3:C22');
xlswrite(file12,meanvr,s4,'C23');
xlswrite(file12,devvar,s4,'C24');

xlswrite(file12,{'Stnd dev'},s4,'D2');
xlswrite(file12,stdpro,s4,'D3:D22');
xlswrite(file12,meanstd,s4,'D23');
xlswrite(file12,{'maximum'},s4,'E2');
xlswrite(file12,maxs,s4,'E3:E22');
xlswrite(file12,meanmax,s4,'E23');
xlswrite(file12,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B14');
xlswrite(file16,meanvr,s4,'C14');

xlswrite(file16,meanstd,s4,'D14');
xlswrite(file16,meanmax,s4,'E14');
%rfa1000
means=mean(dispro_FFTrfa1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_FFTrfa1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_FFTrfa1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_FFTrfa1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 1000 stats'};
xlswrite(file13,name,s4,'A1');
xlswrite(file13,{'disp top tower'},s4,'D1');
xlswrite(file13,{'sample'},s4,'A2');
xlswrite(file13,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file13,c,s4,'A3:A22');
xlswrite(file13,means,s4,'B3:B22');
xlswrite(file13,meanmean,s4,'B23');
xlswrite(file13,{'mean all'},s4,'A23');
xlswrite(file13,{'STD'},s4,'A24');
xlswrite(file13,devmean,s4,'B24');
xlswrite(file13,{'Variance'},s4,'C2');
xlswrite(file13,vars,s4,'C3:C22');
xlswrite(file13,meanvr,s4,'C23');
xlswrite(file13,devvar,s4,'C24');

xlswrite(file13,{'Stnd dev'},s4,'D2');
xlswrite(file13,stdpro,s4,'D3:D22');
xlswrite(file13,meanstd,s4,'D23');
xlswrite(file13,{'maximum'},s4,'E2');
xlswrite(file13,maxs,s4,'E3:E22');
xlswrite(file13,meanmax,s4,'E23');
xlswrite(file13,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B15');
xlswrite(file16,meanvr,s4,'C15');

xlswrite(file16,meanstd,s4,'D15');
xlswrite(file16,meanmax,s4,'E15');
%grid 200 5 meter x-node dx
means=mean(dispro_grid200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_grid200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_grid200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_grid200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200 5 stats'};
xlswrite(file14,name,s4,'A1');
xlswrite(file14,{'disp top tower'},s4,'D1');
xlswrite(file14,{'sample'},s4,'A2');
xlswrite(file14,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file14,c,s4,'A3:A22');
xlswrite(file14,means,s4,'B3:B22');
xlswrite(file14,meanmean,s4,'B23');
xlswrite(file14,{'mean all'},s4,'A23');
xlswrite(file14,{'STD'},s4,'A24');
xlswrite(file14,devmean,s4,'B24');
xlswrite(file14,{'Variance'},s4,'C2');
xlswrite(file14,vars,s4,'C3:C22');
xlswrite(file14,meanvr,s4,'C23');
xlswrite(file14,devvar,s4,'C24');

xlswrite(file14,{'Stnd dev'},s4,'D2');
xlswrite(file14,stdpro,s4,'D3:D22');
xlswrite(file14,meanstd,s4,'D23');
xlswrite(file14,{'maximum'},s4,'E2');
xlswrite(file14,maxs,s4,'E3:E22');
xlswrite(file14,meanmax,s4,'E23');
xlswrite(file14,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B16');
xlswrite(file16,meanvr,s4,'C16');

xlswrite(file16,meanstd,s4,'D16');
xlswrite(file16,meanmax,s4,'E16');
%grid 200_1 10 m between x nodes
means=mean(dispro_grid200_1(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(dispro_grid200_1(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(dispro_grid200_1(:,2:21))';
meanstd=mean(stdpro);
maxs=max(dispro_grid200_1(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200_1 10 stats'};
xlswrite(file15,name,s4,'A1');
xlswrite(file15,{'disp top tower'},s4,'D1');
xlswrite(file15,{'sample'},s4,'A2');
xlswrite(file15,{'mean'},s4,'B2');
c=[1:1:20]';
xlswrite(file15,c,s4,'A3:A22');
xlswrite(file15,means,s4,'B3:B22');
xlswrite(file15,meanmean,s4,'B23');
xlswrite(file15,{'mean all'},s4,'A23');
xlswrite(file15,{'STD'},s4,'A24');
xlswrite(file15,devmean,s4,'B24');
xlswrite(file15,{'Variance'},s4,'C2');
xlswrite(file15,vars,s4,'C3:C22');
xlswrite(file15,meanvr,s4,'C23');
xlswrite(file15,devvar,s4,'C24');

xlswrite(file15,{'Stnd dev'},s4,'D2');
xlswrite(file15,stdpro,s4,'D3:D22');
xlswrite(file15,meanstd,s4,'D23');
xlswrite(file15,{'maximum'},s4,'E2');
xlswrite(file15,maxs,s4,'E3:E22');
xlswrite(file15,meanmax,s4,'E23');
xlswrite(file15,stdmax,s4,'E24');

xlswrite(file16,meanmean,s4,'B17');
xlswrite(file16,meanvr,s4,'C17');

xlswrite(file16,meanstd,s4,'D17');
xlswrite(file16,meanmax,s4,'E17');

% cardan force all methods

% create a collective spreadsheet for main data
xlswrite(file16,{'Collected stats cardan force'},s5,'A1');
xlswrite(file16,{'method'},s5,'A2');
xlswrite(file16,{file1 file2 file3 file4 file5 file6, file7 file8 file9 file10 file11 file12 file13 file14 file15}',s5,'A3');
xlswrite(file16,{'mean value'},s5,'B2');
xlswrite(file16,{'variance'},s5,'C2');

xlswrite(file16,{'Stnd dev'},s5,'D2');
xlswrite(file16,{'maximum'},s5,'E2');


%calc statistics and write to excel spreadsheets:


means=mean(cardanpro_FFT1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFT1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFT1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFT1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 1000 stats'};
xlswrite(file1,name,s5,'A1');
xlswrite(file1,{'cardan force'},s5,'D1');
xlswrite(file1,{'sample'},s5,'A2');
xlswrite(file1,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file1,c,s5,'A3:A22');
xlswrite(file1,means,s5,'B3:B22');
xlswrite(file1,meanmean,s5,'B23');
xlswrite(file1,{'mean all'},s5,'A23');
xlswrite(file1,{'STD'},s5,'A24');
xlswrite(file1,devmean,s5,'B24');
xlswrite(file1,{'Variance'},s5,'C2');
xlswrite(file1,vars,s5,'C3:C22');
xlswrite(file1,meanvr,s5,'C23');
xlswrite(file1,devvar,s5,'C24');

xlswrite(file1,{'Stnd dev'},s5,'D2');
xlswrite(file1,stdpro,s5,'D3:D22');
xlswrite(file1,meanstd,s5,'D23');
xlswrite(file1,{'maximum'},s5,'E2');
xlswrite(file1,maxs,s5,'E3:E22');
xlswrite(file1,meanmax,s5,'E23');
xlswrite(file1,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B3');
xlswrite(file16,meanvr,s5,'C3');
xlswrite(file16,meanstd,s5,'D3');
xlswrite(file16,meanmax,s5,'E3');
%FFT500
means=mean(cardanpro_FFT500(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFT500(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFT500(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFT500(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 500 stats'};
xlswrite(file2,name,s5,'A1');
xlswrite(file2,{'cardan force'},s5,'D1');
xlswrite(file2,{'sample'},s5,'A2');
xlswrite(file2,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file2,c,s5,'A3:A22');
xlswrite(file2,means,s5,'B3:B22');
xlswrite(file2,meanmean,s5,'B23');
xlswrite(file2,{'mean all'},s5,'A23');
xlswrite(file2,{'STD'},s5,'A24');
xlswrite(file2,devmean,s5,'B24');
xlswrite(file2,{'Variance'},s5,'C2');
xlswrite(file2,vars,s5,'C3:C22');
xlswrite(file2,meanvr,s5,'C23');
xlswrite(file2,devvar,s5,'C24');

xlswrite(file2,{'Stnd dev'},s5,'D2');
xlswrite(file2,stdpro,s5,'D3:D22');
xlswrite(file2,meanstd,s5,'D23');
xlswrite(file2,{'maximum'},s5,'E2');
xlswrite(file2,maxs,s5,'E3:E22');
xlswrite(file2,meanmax,s5,'E23');
xlswrite(file2,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B4');
xlswrite(file16,meanvr,s5,'C4');

xlswrite(file16,meanstd,s5,'D4');
xlswrite(file16,meanmax,s5,'E4');
%EAP 75
means=mean(cardanpro_EAP75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_EAP75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_EAP75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_EAP75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 75 stats'};
xlswrite(file3,name,s5,'A1');
xlswrite(file3,{'cardan force'},s5,'D1');
xlswrite(file3,{'sample'},s5,'A2');
xlswrite(file3,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file3,c,s5,'A3:A22');
xlswrite(file3,means,s5,'B3:B22');
xlswrite(file3,meanmean,s5,'B23');
xlswrite(file3,{'mean all'},s5,'A23');
xlswrite(file3,{'STD'},s5,'A24');
xlswrite(file3,devmean,s5,'B24');
xlswrite(file3,{'Variance'},s5,'C2');
xlswrite(file3,vars,s5,'C3:C22');
xlswrite(file3,meanvr,s5,'C23');
xlswrite(file3,devvar,s5,'C24');

xlswrite(file3,{'Stnd dev'},s5,'D2');
xlswrite(file3,stdpro,s5,'D3:D22');
xlswrite(file3,meanstd,s5,'D23');
xlswrite(file3,{'maximum'},s5,'E2');
xlswrite(file3,maxs,s5,'E3:E22');
xlswrite(file3,meanmax,s5,'E23');
xlswrite(file3,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B5');
xlswrite(file16,meanvr,s5,'C5');

xlswrite(file16,meanstd,s5,'D5');
xlswrite(file16,meanmax,s5,'E5');
%EAP100
means=mean(cardanpro_EAP100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_EAP100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_EAP100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_EAP100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 100 stats'};
xlswrite(file4,name,s5,'A1');
xlswrite(file4,{'cardan force'},s5,'D1');
xlswrite(file4,{'sample'},s5,'A2');
xlswrite(file4,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file4,c,s5,'A3:A22');
xlswrite(file4,means,s5,'B3:B22');
xlswrite(file4,meanmean,s5,'B23');
xlswrite(file4,{'mean all'},s5,'A23');
xlswrite(file4,{'STD'},s5,'A24');
xlswrite(file4,devmean,s5,'B24');
xlswrite(file4,{'Variance'},s5,'C2');
xlswrite(file4,vars,s5,'C3:C22');
xlswrite(file4,meanvr,s5,'C23');
xlswrite(file4,devvar,s5,'C24');

xlswrite(file4,{'Stnd dev'},s5,'D2');
xlswrite(file4,stdpro,s5,'D3:D22');
xlswrite(file4,meanstd,s5,'D23');
xlswrite(file4,{'maximum'},s5,'E2');
xlswrite(file4,maxs,s5,'E3:E22');
xlswrite(file4,meanmax,s5,'E23');
xlswrite(file4,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B6');
xlswrite(file16,meanvr,s5,'C6');

xlswrite(file16,meanstd,s5,'D6');
xlswrite(file16,meanmax,s5,'E6');
%EAP200
means=mean(cardanpro_EAP200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_EAP200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_EAP200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_EAP200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 200 stats'};
xlswrite(file5,name,s5,'A1');
xlswrite(file5,{'cardan force'},s5,'D1');
xlswrite(file5,{'sample'},s5,'A2');
xlswrite(file5,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file5,c,s5,'A3:A22');
xlswrite(file5,means,s5,'B3:B22');
xlswrite(file5,meanmean,s5,'B23');
xlswrite(file5,{'mean all'},s5,'A23');
xlswrite(file5,{'STD'},s5,'A24');
xlswrite(file5,devmean,s5,'B24');
xlswrite(file5,{'Variance'},s5,'C2');
xlswrite(file5,vars,s5,'C3:C22');
xlswrite(file5,meanvr,s5,'C23');
xlswrite(file5,devvar,s5,'C24');

xlswrite(file5,{'Stnd dev'},s5,'D2');
xlswrite(file5,stdpro,s5,'D3:D22');
xlswrite(file5,meanstd,s5,'D23');
xlswrite(file5,{'maximum'},s5,'E2');
xlswrite(file5,maxs,s5,'E3:E22');
xlswrite(file5,meanmax,s5,'E23');
xlswrite(file5,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B7');
xlswrite(file16,meanvr,s5,'C7');

xlswrite(file16,meanstd,s5,'D7');
xlswrite(file16,meanmax,s5,'E7');
% FFTrf 75
means=mean(cardanpro_FFTrf75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFTrf75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFTrf75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFTrf75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 75 stats'};
xlswrite(file6,name,s5,'A1');
xlswrite(file6,{'cardan force'},s5,'D1');
xlswrite(file6,{'sample'},s5,'A2');
xlswrite(file6,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file6,c,s5,'A3:A22');
xlswrite(file6,means,s5,'B3:B22');
xlswrite(file6,meanmean,s5,'B23');
xlswrite(file6,{'mean all'},s5,'A23');
xlswrite(file6,{'STD'},s5,'A24');
xlswrite(file6,devmean,s5,'B24');
xlswrite(file6,{'Variance'},s5,'C2');
xlswrite(file6,vars,s5,'C3:C22');
xlswrite(file6,meanvr,s5,'C23');
xlswrite(file6,devvar,s5,'C24');

xlswrite(file6,{'Stnd dev'},s5,'D2');
xlswrite(file6,stdpro,s5,'D3:D22');
xlswrite(file6,meanstd,s5,'D23');
xlswrite(file6,{'maximum'},s5,'E2');
xlswrite(file6,maxs,s5,'E3:E22');
xlswrite(file6,meanmax,s5,'E23');
xlswrite(file6,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B8');
xlswrite(file16,meanvr,s5,'C8');

xlswrite(file16,meanstd,s5,'D8');
xlswrite(file16,meanmax,s5,'E8');
% FFTrf 100
means=mean(cardanpro_FFTrf100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFTrf100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFTrf100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFTrf100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 100 stats'};
xlswrite(file7,name,s5,'A1');
xlswrite(file7,{'cardan force'},s5,'D1');
xlswrite(file7,{'sample'},s5,'A2');
xlswrite(file7,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file7,c,s5,'A3:A22');
xlswrite(file7,means,s5,'B3:B22');
xlswrite(file7,meanmean,s5,'B23');
xlswrite(file7,{'mean all'},s5,'A23');
xlswrite(file7,{'STD'},s5,'A24');
xlswrite(file7,devmean,s5,'B24');
xlswrite(file7,{'Variance'},s5,'C2');
xlswrite(file7,vars,s5,'C3:C22');
xlswrite(file7,meanvr,s5,'C23');
xlswrite(file7,devvar,s5,'C24');

xlswrite(file7,{'Stnd dev'},s5,'D2');
xlswrite(file7,stdpro,s5,'D3:D22');
xlswrite(file7,meanstd,s5,'D23');
xlswrite(file7,{'maximum'},s5,'E2');
xlswrite(file7,maxs,s5,'E3:E22');
xlswrite(file7,meanmax,s5,'E23');
xlswrite(file7,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B9');
xlswrite(file16,meanvr,s5,'C9');

xlswrite(file16,meanstd,s5,'D9');
xlswrite(file16,meanmax,s5,'E9');
% FFTrf200
means=mean(cardanpro_FFTrf200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFTrf200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFTrf200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFTrf200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 200 stats'};
xlswrite(file8,name,s5,'A1');
xlswrite(file8,{'cardan force'},s5,'D1');
xlswrite(file8,{'sample'},s5,'A2');
xlswrite(file8,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file8,c,s5,'A3:A22');
xlswrite(file8,means,s5,'B3:B22');
xlswrite(file8,meanmean,s5,'B23');
xlswrite(file8,{'mean all'},s5,'A23');
xlswrite(file8,{'STD'},s5,'A24');
xlswrite(file8,devmean,s5,'B24');
xlswrite(file8,{'Variance'},s5,'C2');
xlswrite(file8,vars,s5,'C3:C22');
xlswrite(file8,meanvr,s5,'C23');
xlswrite(file8,devvar,s5,'C24');

xlswrite(file8,{'Stnd dev'},s5,'D2');
xlswrite(file8,stdpro,s5,'D3:D22');
xlswrite(file8,meanstd,s5,'D23');
xlswrite(file8,{'maximum'},s5,'E2');
xlswrite(file8,maxs,s5,'E3:E22');
xlswrite(file8,meanmax,s5,'E23');
xlswrite(file8,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B10');
xlswrite(file16,meanvr,s5,'C10');

xlswrite(file16,meanstd,s5,'D10');
xlswrite(file16,meanmax,s5,'E10');
%FFTrf1000
means=mean(cardanpro_FFTrf1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFTrf1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFTrf1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFTrf1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 1000 stats'};
xlswrite(file9,name,s5,'A1');
xlswrite(file9,{'cardan force'},s5,'D1');
xlswrite(file9,{'sample'},s5,'A2');
xlswrite(file9,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file9,c,s5,'A3:A22');
xlswrite(file9,means,s5,'B3:B22');
xlswrite(file9,meanmean,s5,'B23');
xlswrite(file9,{'mean all'},s5,'A23');
xlswrite(file9,{'STD'},s5,'A24');
xlswrite(file9,devmean,s5,'B24');
xlswrite(file9,{'Variance'},s5,'C2');
xlswrite(file9,vars,s5,'C3:C22');
xlswrite(file9,meanvr,s5,'C23');
xlswrite(file9,devvar,s5,'C24');

xlswrite(file9,{'Stnd dev'},s5,'D2');
xlswrite(file9,stdpro,s5,'D3:D22');
xlswrite(file9,meanstd,s5,'D23');
xlswrite(file9,{'maximum'},s5,'E2');
xlswrite(file9,maxs,s5,'E3:E22');
xlswrite(file9,meanmax,s5,'E23');
xlswrite(file9,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B11');
xlswrite(file16,meanvr,s5,'C11');

xlswrite(file16,meanstd,s5,'D11');
xlswrite(file16,meanmax,s5,'E11');
%FFTrfa 75
means=mean(cardanpro_FFTrfa75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFTrfa75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFTrfa75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFTrfa75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 75 stats'};
xlswrite(file10,name,s5,'A1');
xlswrite(file10,{'cardan force'},s5,'D1');
xlswrite(file10,{'sample'},s5,'A2');
xlswrite(file10,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file10,c,s5,'A3:A22');
xlswrite(file10,means,s5,'B3:B22');
xlswrite(file10,meanmean,s5,'B23');
xlswrite(file10,{'mean all'},s5,'A23');
xlswrite(file10,{'STD'},s5,'A24');
xlswrite(file10,devmean,s5,'B24');
xlswrite(file10,{'Variance'},s5,'C2');
xlswrite(file10,vars,s5,'C3:C22');
xlswrite(file10,meanvr,s5,'C23');
xlswrite(file10,devvar,s5,'C24');


xlswrite(file10,{'Stnd dev'},s5,'D2');
xlswrite(file10,stdpro,s5,'D3:D22');
xlswrite(file10,meanstd,s5,'D23');
xlswrite(file10,{'maximum'},s5,'E2');
xlswrite(file10,maxs,s5,'E3:E22');
xlswrite(file10,meanmax,s5,'E23');
xlswrite(file10,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B12');
xlswrite(file16,meanvr,s5,'C12');

xlswrite(file16,meanstd,s5,'D12');
xlswrite(file16,meanmax,s5,'E12');
%FFTrfa100
means=mean(cardanpro_FFTrfa100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFTrfa100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFTrfa100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFTrfa100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 100 stats'};
xlswrite(file11,name,s5,'A1');
xlswrite(file11,{'cardan force'},s5,'D1');
xlswrite(file11,{'sample'},s5,'A2');
xlswrite(file11,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file11,c,s5,'A3:A22');
xlswrite(file11,means,s5,'B3:B22');
xlswrite(file11,meanmean,s5,'B23');
xlswrite(file11,{'mean all'},s5,'A23');
xlswrite(file11,{'STD'},s5,'A24');
xlswrite(file11,devmean,s5,'B24');
xlswrite(file11,{'Variance'},s5,'C2');
xlswrite(file11,vars,s5,'C3:C22');
xlswrite(file11,meanvr,s5,'C23');
xlswrite(file11,devvar,s5,'C24');
xlswrite(file11,{'Stnd dev'},s5,'D2');
xlswrite(file11,stdpro,s5,'D3:D22');
xlswrite(file11,meanstd,s5,'D23');
xlswrite(file11,{'maximum'},s5,'E2');
xlswrite(file11,maxs,s5,'E3:E22');
xlswrite(file11,meanmax,s5,'E23');
xlswrite(file11,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B13');
xlswrite(file16,meanvr,s5,'C13');

xlswrite(file16,meanstd,s5,'D13');
xlswrite(file16,meanmax,s5,'E13');
%rfa200
means=mean(cardanpro_FFTrfa200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFTrfa200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFTrfa200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFTrfa200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 200 stats'};
xlswrite(file12,name,s5,'A1');
xlswrite(file12,{'cardan force'},s5,'D1');
xlswrite(file12,{'sample'},s5,'A2');
xlswrite(file12,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file12,c,s5,'A3:A22');
xlswrite(file12,means,s5,'B3:B22');
xlswrite(file12,meanmean,s5,'B23');
xlswrite(file12,{'mean all'},s5,'A23');
xlswrite(file12,{'STD'},s5,'A24');
xlswrite(file12,devmean,s5,'B24');
xlswrite(file12,{'Variance'},s5,'C2');
xlswrite(file12,vars,s5,'C3:C22');
xlswrite(file12,meanvr,s5,'C23');
xlswrite(file12,devvar,s5,'C24');

xlswrite(file12,{'Stnd dev'},s5,'D2');
xlswrite(file12,stdpro,s5,'D3:D22');
xlswrite(file12,meanstd,s5,'D23');
xlswrite(file12,{'maximum'},s5,'E2');
xlswrite(file12,maxs,s5,'E3:E22');
xlswrite(file12,meanmax,s5,'E23');
xlswrite(file12,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B14');
xlswrite(file16,meanvr,s5,'C14');

xlswrite(file16,meanstd,s5,'D14');
xlswrite(file16,meanmax,s5,'E14');
%rfa1000
means=mean(cardanpro_FFTrfa1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_FFTrfa1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_FFTrfa1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_FFTrfa1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 1000 stats'};
xlswrite(file13,name,s5,'A1');
xlswrite(file13,{'cardan force'},s5,'D1');
xlswrite(file13,{'sample'},s5,'A2');
xlswrite(file13,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file13,c,s5,'A3:A22');
xlswrite(file13,means,s5,'B3:B22');
xlswrite(file13,meanmean,s5,'B23');
xlswrite(file13,{'mean all'},s5,'A23');
xlswrite(file13,{'STD'},s5,'A24');
xlswrite(file13,devmean,s5,'B24');
xlswrite(file13,{'Variance'},s5,'C2');
xlswrite(file13,vars,s5,'C3:C22');
xlswrite(file13,meanvr,s5,'C23');
xlswrite(file13,devvar,s5,'C24');

xlswrite(file13,{'Stnd dev'},s5,'D2');
xlswrite(file13,stdpro,s5,'D3:D22');
xlswrite(file13,meanstd,s5,'D23');
xlswrite(file13,{'maximum'},s5,'E2');
xlswrite(file13,maxs,s5,'E3:E22');
xlswrite(file13,meanmax,s5,'E23');
xlswrite(file13,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B15');
xlswrite(file16,meanvr,s5,'C15');

xlswrite(file16,meanstd,s5,'D15');
xlswrite(file16,meanmax,s5,'E15');
%grid 200 5 meter x-node dx
means=mean(cardanpro_grid200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_grid200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_grid200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_grid200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200 5 stats'};
xlswrite(file14,name,s5,'A1');
xlswrite(file14,{'cardan force'},s5,'D1');
xlswrite(file14,{'sample'},s5,'A2');
xlswrite(file14,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file14,c,s5,'A3:A22');
xlswrite(file14,means,s5,'B3:B22');
xlswrite(file14,meanmean,s5,'B23');
xlswrite(file14,{'mean all'},s5,'A23');
xlswrite(file14,{'STD'},s5,'A24');
xlswrite(file14,devmean,s5,'B24');
xlswrite(file14,{'Variance'},s5,'C2');
xlswrite(file14,vars,s5,'C3:C22');
xlswrite(file14,meanvr,s5,'C23');
xlswrite(file14,devvar,s5,'C24');

xlswrite(file14,{'Stnd dev'},s5,'D2');
xlswrite(file14,stdpro,s5,'D3:D22');
xlswrite(file14,meanstd,s5,'D23');
xlswrite(file14,{'maximum'},s5,'E2');
xlswrite(file14,maxs,s5,'E3:E22');
xlswrite(file14,meanmax,s5,'E23');
xlswrite(file14,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B16');
xlswrite(file16,meanvr,s5,'C16');

xlswrite(file16,meanstd,s5,'D16');
xlswrite(file16,meanmax,s5,'E16');
%grid 200_1 10 m between x nodes
means=mean(cardanpro_grid200_1(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(cardanpro_grid200_1(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(cardanpro_grid200_1(:,2:21))';
meanstd=mean(stdpro);
maxs=max(cardanpro_grid200_1(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200_1 10 stats'};
xlswrite(file15,name,s5,'A1');
xlswrite(file15,{'cardan force'},s5,'D1');
xlswrite(file15,{'sample'},s5,'A2');
xlswrite(file15,{'mean'},s5,'B2');
c=[1:1:20]';
xlswrite(file15,c,s5,'A3:A22');
xlswrite(file15,means,s5,'B3:B22');
xlswrite(file15,meanmean,s5,'B23');
xlswrite(file15,{'mean all'},s5,'A23');
xlswrite(file15,{'STD'},s5,'A24');
xlswrite(file15,devmean,s5,'B24');
xlswrite(file15,{'Variance'},s5,'C2');
xlswrite(file15,vars,s5,'C3:C22');
xlswrite(file15,meanvr,s5,'C23');
xlswrite(file15,devvar,s5,'C24');

xlswrite(file15,{'Stnd dev'},s5,'D2');
xlswrite(file15,stdpro,s5,'D3:D22');
xlswrite(file15,meanstd,s5,'D23');
xlswrite(file15,{'maximum'},s5,'E2');
xlswrite(file15,maxs,s5,'E3:E22');
xlswrite(file15,meanmax,s5,'E23');
xlswrite(file15,stdmax,s5,'E24');

xlswrite(file16,meanmean,s5,'B17');
xlswrite(file16,meanvr,s5,'C17');

xlswrite(file16,meanstd,s5,'D17');
xlswrite(file16,meanmax,s5,'E17');

% midmoment Mz waterline

% create a collective spreadsheet for main data
xlswrite(file16,{'Collected stats midmoment Mz'},s6,'A1');
xlswrite(file16,{'method'},s6,'A2');
xlswrite(file16,{file1 file2 file3 file4 file5 file6, file7 file8 file9 file10 file11 file12 file13 file14 file15}',s6,'A3');
xlswrite(file16,{'mean value'},s6,'B2');
xlswrite(file16,{'variance'},s6,'C2');

xlswrite(file16,{'Stnd dev'},s6,'D2');
xlswrite(file16,{'maximum'},s6,'E2');


%calc statistics and write to excel spreadsheets:


means=mean(midmpro_FFT1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFT1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFT1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFT1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 1000 stats'};
xlswrite(file1,name,s6,'A1');
xlswrite(file1,{'midmoment Mz'},s6,'D1');
xlswrite(file1,{'sample'},s6,'A2');
xlswrite(file1,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file1,c,s6,'A3:A22');
xlswrite(file1,means,s6,'B3:B22');
xlswrite(file1,meanmean,s6,'B23');
xlswrite(file1,{'mean all'},s6,'A23');
xlswrite(file1,{'STD'},s6,'A24');
xlswrite(file1,devmean,s6,'B24');
xlswrite(file1,{'Variance'},s6,'C2');
xlswrite(file1,vars,s6,'C3:C22');
xlswrite(file1,meanvr,s6,'C23');
xlswrite(file1,devvar,s6,'C24');

xlswrite(file1,{'Stnd dev'},s6,'D2');
xlswrite(file1,stdpro,s6,'D3:D22');
xlswrite(file1,meanstd,s6,'D23');
xlswrite(file1,{'maximum'},s6,'E2');
xlswrite(file1,maxs,s6,'E3:E22');
xlswrite(file1,meanmax,s6,'E23');
xlswrite(file1,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B3');
xlswrite(file16,meanvr,s6,'C3');
xlswrite(file16,meanstd,s6,'D3');
xlswrite(file16,meanmax,s6,'E3');
%FFT500
means=mean(midmpro_FFT500(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFT500(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFT500(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFT500(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFT 500 stats'};
xlswrite(file2,name,s6,'A1');
xlswrite(file2,{'midmoment Mz'},s6,'D1');
xlswrite(file2,{'sample'},s6,'A2');
xlswrite(file2,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file2,c,s6,'A3:A22');
xlswrite(file2,means,s6,'B3:B22');
xlswrite(file2,meanmean,s6,'B23');
xlswrite(file2,{'mean all'},s6,'A23');
xlswrite(file2,{'STD'},s6,'A24');
xlswrite(file2,devmean,s6,'B24');
xlswrite(file2,{'Variance'},s6,'C2');
xlswrite(file2,vars,s6,'C3:C22');
xlswrite(file2,meanvr,s6,'C23');
xlswrite(file2,devvar,s6,'C24');

xlswrite(file2,{'Stnd dev'},s6,'D2');
xlswrite(file2,stdpro,s6,'D3:D22');
xlswrite(file2,meanstd,s6,'D23');
xlswrite(file2,{'maximum'},s6,'E2');
xlswrite(file2,maxs,s6,'E3:E22');
xlswrite(file2,meanmax,s6,'E23');
xlswrite(file2,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B4');
xlswrite(file16,meanvr,s6,'C4');

xlswrite(file16,meanstd,s6,'D4');
xlswrite(file16,meanmax,s6,'E4');
%EAP 75
means=mean(midmpro_EAP75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_EAP75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_EAP75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_EAP75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 75 stats'};
xlswrite(file3,name,s6,'A1');
xlswrite(file3,{'midmoment Mz'},s6,'D1');
xlswrite(file3,{'sample'},s6,'A2');
xlswrite(file3,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file3,c,s6,'A3:A22');
xlswrite(file3,means,s6,'B3:B22');
xlswrite(file3,meanmean,s6,'B23');
xlswrite(file3,{'mean all'},s6,'A23');
xlswrite(file3,{'STD'},s6,'A24');
xlswrite(file3,devmean,s6,'B24');
xlswrite(file3,{'Variance'},s6,'C2');
xlswrite(file3,vars,s6,'C3:C22');
xlswrite(file3,meanvr,s6,'C23');
xlswrite(file3,devvar,s6,'C24');

xlswrite(file3,{'Stnd dev'},s6,'D2');
xlswrite(file3,stdpro,s6,'D3:D22');
xlswrite(file3,meanstd,s6,'D23');
xlswrite(file3,{'maximum'},s6,'E2');
xlswrite(file3,maxs,s6,'E3:E22');
xlswrite(file3,meanmax,s6,'E23');
xlswrite(file3,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B5');
xlswrite(file16,meanvr,s6,'C5');

xlswrite(file16,meanstd,s6,'D5');
xlswrite(file16,meanmax,s6,'E5');
%EAP100
means=mean(midmpro_EAP100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_EAP100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_EAP100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_EAP100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 100 stats'};
xlswrite(file4,name,s6,'A1');
xlswrite(file4,{'midmoment Mz'},s6,'D1');
xlswrite(file4,{'sample'},s6,'A2');
xlswrite(file4,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file4,c,s6,'A3:A22');
xlswrite(file4,means,s6,'B3:B22');
xlswrite(file4,meanmean,s6,'B23');
xlswrite(file4,{'mean all'},s6,'A23');
xlswrite(file4,{'STD'},s6,'A24');
xlswrite(file4,devmean,s6,'B24');
xlswrite(file4,{'Variance'},s6,'C2');
xlswrite(file4,vars,s6,'C3:C22');
xlswrite(file4,meanvr,s6,'C23');
xlswrite(file4,devvar,s6,'C24');

xlswrite(file4,{'Stnd dev'},s6,'D2');
xlswrite(file4,stdpro,s6,'D3:D22');
xlswrite(file4,meanstd,s6,'D23');
xlswrite(file4,{'maximum'},s6,'E2');
xlswrite(file4,maxs,s6,'E3:E22');
xlswrite(file4,meanmax,s6,'E23');
xlswrite(file4,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B6');
xlswrite(file16,meanvr,s6,'C6');

xlswrite(file16,meanstd,s6,'D6');
xlswrite(file16,meanmax,s6,'E6');
%EAP200
means=mean(midmpro_EAP200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_EAP200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_EAP200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_EAP200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'EAP 200 stats'};
xlswrite(file5,name,s6,'A1');
xlswrite(file5,{'midmoment Mz'},s6,'D1');
xlswrite(file5,{'sample'},s6,'A2');
xlswrite(file5,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file5,c,s6,'A3:A22');
xlswrite(file5,means,s6,'B3:B22');
xlswrite(file5,meanmean,s6,'B23');
xlswrite(file5,{'mean all'},s6,'A23');
xlswrite(file5,{'STD'},s6,'A24');
xlswrite(file5,devmean,s6,'B24');
xlswrite(file5,{'Variance'},s6,'C2');
xlswrite(file5,vars,s6,'C3:C22');
xlswrite(file5,meanvr,s6,'C23');
xlswrite(file5,devvar,s6,'C24');

xlswrite(file5,{'Stnd dev'},s6,'D2');
xlswrite(file5,stdpro,s6,'D3:D22');
xlswrite(file5,meanstd,s6,'D23');
xlswrite(file5,{'maximum'},s6,'E2');
xlswrite(file5,maxs,s6,'E3:E22');
xlswrite(file5,meanmax,s6,'E23');
xlswrite(file5,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B7');
xlswrite(file16,meanvr,s6,'C7');

xlswrite(file16,meanstd,s6,'D7');
xlswrite(file16,meanmax,s6,'E7');
% FFTrf 75
means=mean(midmpro_FFTrf75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFTrf75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFTrf75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFTrf75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 75 stats'};
xlswrite(file6,name,s6,'A1');
xlswrite(file6,{'midmoment Mz'},s6,'D1');
xlswrite(file6,{'sample'},s6,'A2');
xlswrite(file6,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file6,c,s6,'A3:A22');
xlswrite(file6,means,s6,'B3:B22');
xlswrite(file6,meanmean,s6,'B23');
xlswrite(file6,{'mean all'},s6,'A23');
xlswrite(file6,{'STD'},s6,'A24');
xlswrite(file6,devmean,s6,'B24');
xlswrite(file6,{'Variance'},s6,'C2');
xlswrite(file6,vars,s6,'C3:C22');
xlswrite(file6,meanvr,s6,'C23');
xlswrite(file6,devvar,s6,'C24');

xlswrite(file6,{'Stnd dev'},s6,'D2');
xlswrite(file6,stdpro,s6,'D3:D22');
xlswrite(file6,meanstd,s6,'D23');
xlswrite(file6,{'maximum'},s6,'E2');
xlswrite(file6,maxs,s6,'E3:E22');
xlswrite(file6,meanmax,s6,'E23');
xlswrite(file6,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B8');
xlswrite(file16,meanvr,s6,'C8');

xlswrite(file16,meanstd,s6,'D8');
xlswrite(file16,meanmax,s6,'E8');
% FFTrf 100
means=mean(midmpro_FFTrf100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFTrf100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFTrf100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFTrf100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 100 stats'};
xlswrite(file7,name,s6,'A1');
xlswrite(file7,{'midmoment Mz'},s6,'D1');
xlswrite(file7,{'sample'},s6,'A2');
xlswrite(file7,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file7,c,s6,'A3:A22');
xlswrite(file7,means,s6,'B3:B22');
xlswrite(file7,meanmean,s6,'B23');
xlswrite(file7,{'mean all'},s6,'A23');
xlswrite(file7,{'STD'},s6,'A24');
xlswrite(file7,devmean,s6,'B24');
xlswrite(file7,{'Variance'},s6,'C2');
xlswrite(file7,vars,s6,'C3:C22');
xlswrite(file7,meanvr,s6,'C23');
xlswrite(file7,devvar,s6,'C24');

xlswrite(file7,{'Stnd dev'},s6,'D2');
xlswrite(file7,stdpro,s6,'D3:D22');
xlswrite(file7,meanstd,s6,'D23');
xlswrite(file7,{'maximum'},s6,'E2');
xlswrite(file7,maxs,s6,'E3:E22');
xlswrite(file7,meanmax,s6,'E23');
xlswrite(file7,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B9');
xlswrite(file16,meanvr,s6,'C9');

xlswrite(file16,meanstd,s6,'D9');
xlswrite(file16,meanmax,s6,'E9');
% FFTrf200
means=mean(midmpro_FFTrf200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFTrf200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFTrf200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFTrf200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 200 stats'};
xlswrite(file8,name,s6,'A1');
xlswrite(file8,{'midmoment Mz'},s6,'D1');
xlswrite(file8,{'sample'},s6,'A2');
xlswrite(file8,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file8,c,s6,'A3:A22');
xlswrite(file8,means,s6,'B3:B22');
xlswrite(file8,meanmean,s6,'B23');
xlswrite(file8,{'mean all'},s6,'A23');
xlswrite(file8,{'STD'},s6,'A24');
xlswrite(file8,devmean,s6,'B24');
xlswrite(file8,{'Variance'},s6,'C2');
xlswrite(file8,vars,s6,'C3:C22');
xlswrite(file8,meanvr,s6,'C23');
xlswrite(file8,devvar,s6,'C24');

xlswrite(file8,{'Stnd dev'},s6,'D2');
xlswrite(file8,stdpro,s6,'D3:D22');
xlswrite(file8,meanstd,s6,'D23');
xlswrite(file8,{'maximum'},s6,'E2');
xlswrite(file8,maxs,s6,'E3:E22');
xlswrite(file8,meanmax,s6,'E23');
xlswrite(file8,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B10');
xlswrite(file16,meanvr,s6,'C10');

xlswrite(file16,meanstd,s6,'D10');
xlswrite(file16,meanmax,s6,'E10');
%FFTrf1000
means=mean(midmpro_FFTrf1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFTrf1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFTrf1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFTrf1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrf 1000 stats'};
xlswrite(file9,name,s6,'A1');
xlswrite(file9,{'midmoment Mz'},s6,'D1');
xlswrite(file9,{'sample'},s6,'A2');
xlswrite(file9,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file9,c,s6,'A3:A22');
xlswrite(file9,means,s6,'B3:B22');
xlswrite(file9,meanmean,s6,'B23');
xlswrite(file9,{'mean all'},s6,'A23');
xlswrite(file9,{'STD'},s6,'A24');
xlswrite(file9,devmean,s6,'B24');
xlswrite(file9,{'Variance'},s6,'C2');
xlswrite(file9,vars,s6,'C3:C22');
xlswrite(file9,meanvr,s6,'C23');
xlswrite(file9,devvar,s6,'C24');

xlswrite(file9,{'Stnd dev'},s6,'D2');
xlswrite(file9,stdpro,s6,'D3:D22');
xlswrite(file9,meanstd,s6,'D23');
xlswrite(file9,{'maximum'},s6,'E2');
xlswrite(file9,maxs,s6,'E3:E22');
xlswrite(file9,meanmax,s6,'E23');
xlswrite(file9,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B11');
xlswrite(file16,meanvr,s6,'C11');

xlswrite(file16,meanstd,s6,'D11');
xlswrite(file16,meanmax,s6,'E11');
%FFTrfa 75
means=mean(midmpro_FFTrfa75(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFTrfa75(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFTrfa75(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFTrfa75(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 75 stats'};
xlswrite(file10,name,s6,'A1');
xlswrite(file10,{'midmoment Mz'},s6,'D1');
xlswrite(file10,{'sample'},s6,'A2');
xlswrite(file10,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file10,c,s6,'A3:A22');
xlswrite(file10,means,s6,'B3:B22');
xlswrite(file10,meanmean,s6,'B23');
xlswrite(file10,{'mean all'},s6,'A23');
xlswrite(file10,{'STD'},s6,'A24');
xlswrite(file10,devmean,s6,'B24');
xlswrite(file10,{'Variance'},s6,'C2');
xlswrite(file10,vars,s6,'C3:C22');
xlswrite(file10,meanvr,s6,'C23');
xlswrite(file10,devvar,s6,'C24');


xlswrite(file10,{'Stnd dev'},s6,'D2');
xlswrite(file10,stdpro,s6,'D3:D22');
xlswrite(file10,meanstd,s6,'D23');
xlswrite(file10,{'maximum'},s6,'E2');
xlswrite(file10,maxs,s6,'E3:E22');
xlswrite(file10,meanmax,s6,'E23');
xlswrite(file10,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B12');
xlswrite(file16,meanvr,s6,'C12');

xlswrite(file16,meanstd,s6,'D12');
xlswrite(file16,meanmax,s6,'E12');
%FFTrfa100
means=mean(midmpro_FFTrfa100(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFTrfa100(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFTrfa100(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFTrfa100(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 100 stats'};
xlswrite(file11,name,s6,'A1');
xlswrite(file11,{'midmoment Mz'},s6,'D1');
xlswrite(file11,{'sample'},s6,'A2');
xlswrite(file11,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file11,c,s6,'A3:A22');
xlswrite(file11,means,s6,'B3:B22');
xlswrite(file11,meanmean,s6,'B23');
xlswrite(file11,{'mean all'},s6,'A23');
xlswrite(file11,{'STD'},s6,'A24');
xlswrite(file11,devmean,s6,'B24');
xlswrite(file11,{'Variance'},s6,'C2');
xlswrite(file11,vars,s6,'C3:C22');
xlswrite(file11,meanvr,s6,'C23');
xlswrite(file11,devvar,s6,'C24');
xlswrite(file11,{'Stnd dev'},s6,'D2');
xlswrite(file11,stdpro,s6,'D3:D22');
xlswrite(file11,meanstd,s6,'D23');
xlswrite(file11,{'maximum'},s6,'E2');
xlswrite(file11,maxs,s6,'E3:E22');
xlswrite(file11,meanmax,s6,'E23');
xlswrite(file11,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B13');
xlswrite(file16,meanvr,s6,'C13');

xlswrite(file16,meanstd,s6,'D13');
xlswrite(file16,meanmax,s6,'E13');
%rfa200
means=mean(midmpro_FFTrfa200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFTrfa200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFTrfa200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFTrfa200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 200 stats'};
xlswrite(file12,name,s6,'A1');
xlswrite(file12,{'midmoment Mz'},s6,'D1');
xlswrite(file12,{'sample'},s6,'A2');
xlswrite(file12,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file12,c,s6,'A3:A22');
xlswrite(file12,means,s6,'B3:B22');
xlswrite(file12,meanmean,s6,'B23');
xlswrite(file12,{'mean all'},s6,'A23');
xlswrite(file12,{'STD'},s6,'A24');
xlswrite(file12,devmean,s6,'B24');
xlswrite(file12,{'Variance'},s6,'C2');
xlswrite(file12,vars,s6,'C3:C22');
xlswrite(file12,meanvr,s6,'C23');
xlswrite(file12,devvar,s6,'C24');

xlswrite(file12,{'Stnd dev'},s6,'D2');
xlswrite(file12,stdpro,s6,'D3:D22');
xlswrite(file12,meanstd,s6,'D23');
xlswrite(file12,{'maximum'},s6,'E2');
xlswrite(file12,maxs,s6,'E3:E22');
xlswrite(file12,meanmax,s6,'E23');
xlswrite(file12,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B14');
xlswrite(file16,meanvr,s6,'C14');

xlswrite(file16,meanstd,s6,'D14');
xlswrite(file16,meanmax,s6,'E14');
%rfa1000
means=mean(midmpro_FFTrfa1000(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_FFTrfa1000(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_FFTrfa1000(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_FFTrfa1000(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'FFTrfa 1000 stats'};
xlswrite(file13,name,s6,'A1');
xlswrite(file13,{'midmoment Mz'},s6,'D1');
xlswrite(file13,{'sample'},s6,'A2');
xlswrite(file13,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file13,c,s6,'A3:A22');
xlswrite(file13,means,s6,'B3:B22');
xlswrite(file13,meanmean,s6,'B23');
xlswrite(file13,{'mean all'},s6,'A23');
xlswrite(file13,{'STD'},s6,'A24');
xlswrite(file13,devmean,s6,'B24');
xlswrite(file13,{'Variance'},s6,'C2');
xlswrite(file13,vars,s6,'C3:C22');
xlswrite(file13,meanvr,s6,'C23');
xlswrite(file13,devvar,s6,'C24');

xlswrite(file13,{'Stnd dev'},s6,'D2');
xlswrite(file13,stdpro,s6,'D3:D22');
xlswrite(file13,meanstd,s6,'D23');
xlswrite(file13,{'maximum'},s6,'E2');
xlswrite(file13,maxs,s6,'E3:E22');
xlswrite(file13,meanmax,s6,'E23');
xlswrite(file13,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B15');
xlswrite(file16,meanvr,s6,'C15');

xlswrite(file16,meanstd,s6,'D15');
xlswrite(file16,meanmax,s6,'E15');
%grid 200 5 meter x-node dx
means=mean(midmpro_grid200(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_grid200(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_grid200(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_grid200(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200 5 stats'};
xlswrite(file14,name,s6,'A1');
xlswrite(file14,{'midmoment Mz'},s6,'D1');
xlswrite(file14,{'sample'},s6,'A2');
xlswrite(file14,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file14,c,s6,'A3:A22');
xlswrite(file14,means,s6,'B3:B22');
xlswrite(file14,meanmean,s6,'B23');
xlswrite(file14,{'mean all'},s6,'A23');
xlswrite(file14,{'STD'},s6,'A24');
xlswrite(file14,devmean,s6,'B24');
xlswrite(file14,{'Variance'},s6,'C2');
xlswrite(file14,vars,s6,'C3:C22');
xlswrite(file14,meanvr,s6,'C23');
xlswrite(file14,devvar,s6,'C24');

xlswrite(file14,{'Stnd dev'},s6,'D2');
xlswrite(file14,stdpro,s6,'D3:D22');
xlswrite(file14,meanstd,s6,'D23');
xlswrite(file14,{'maximum'},s6,'E2');
xlswrite(file14,maxs,s6,'E3:E22');
xlswrite(file14,meanmax,s6,'E23');
xlswrite(file14,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B16');
xlswrite(file16,meanvr,s6,'C16');

xlswrite(file16,meanstd,s6,'D16');
xlswrite(file16,meanmax,s6,'E16');
%grid 200_1 10 m between x nodes
means=mean(midmpro_grid200_1(:,2:21))';
meanmean=mean(means);
devmean=std(means);
vars=var(midmpro_grid200_1(:,2:21))';
meanvr=mean(vars);
devvar=std(vars);

stdpro=std(midmpro_grid200_1(:,2:21))';
meanstd=mean(stdpro);
maxs=max(midmpro_grid200_1(:,2:21))';
meanmax=mean(maxs);
stdmax=std(maxs);
name={'Erid 200_1 10 stats'};
xlswrite(file15,name,s6,'A1');
xlswrite(file15,{'midmoment Mz'},s6,'D1');
xlswrite(file15,{'sample'},s6,'A2');
xlswrite(file15,{'mean'},s6,'B2');
c=[1:1:20]';
xlswrite(file15,c,s6,'A3:A22');
xlswrite(file15,means,s6,'B3:B22');
xlswrite(file15,meanmean,s6,'B23');
xlswrite(file15,{'mean all'},s6,'A23');
xlswrite(file15,{'STD'},s6,'A24');
xlswrite(file15,devmean,s6,'B24');
xlswrite(file15,{'Variance'},s6,'C2');
xlswrite(file15,vars,s6,'C3:C22');
xlswrite(file15,meanvr,s6,'C23');
xlswrite(file15,devvar,s6,'C24');

xlswrite(file15,{'Stnd dev'},s6,'D2');
xlswrite(file15,stdpro,s6,'D3:D22');
xlswrite(file15,meanstd,s6,'D23');
xlswrite(file15,{'maximum'},s6,'E2');
xlswrite(file15,maxs,s6,'E3:E22');
xlswrite(file15,meanmax,s6,'E23');
xlswrite(file15,stdmax,s6,'E24');

xlswrite(file16,meanmean,s6,'B17');
xlswrite(file16,meanvr,s6,'C17');

xlswrite(file16,meanstd,s6,'D17');
xlswrite(file16,meanmax,s6,'E17');








